<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

if (!user_access('user_ban_set') && !user_access('user_ban_set_h') && !user_access('user_ban_unset')) {
    header("Location: /index.php?" . SID);
    exit;
}

if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);
} else {
    header("Location: /index.php?" . SID);
    exit;
}

if (dbresult(dbquery("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"), 0) == 0) {
    header("Location: /index.php?" . SID);
    exit;
}

$ank = get_user($ank['id']);

if ($user['level'] <= $ank['level']) {
    header("Location: /index.php?" . SID);
    exit;
}

$set['title'] = 'Бан пользователя ' . $ank['nick'];

include_once THEAD;

title();

if (isset($_GET['delete']) && dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]' AND `id` = '" . intval($_GET['delete']) . "'"), 0) && user_access('user_ban_unset')) {
    $ban_info = dbassoc(dbquery("SELECT * FROM `ban` WHERE `id_user` = '$ank[id]' AND `id` = '" . intval($_GET['delete']) . "'"));
    $ank2 = dbassoc(dbquery("SELECT * FROM `user` WHERE `id` = '$ban_info[id_ban]' LIMIT 1"));

    if (($user['level'] > $ank2['level'] || $user['id'] == $ank2['id']) || $user['level'] == 4) {
        dbquery("DELETE FROM `ban` WHERE `id` = '" . intval($_GET['delete']) . "' LIMIT 1");

        admin_log('Пользователи', 'Бан', "Удаление нарушения с пользователя '[url=/amd_panel/ban.php?id=$ank[id]]$ank[nick][/url]'");

        $_SESSION['message'] = 'Нарушение удалено';
        header("Location: ?id=$ank[id]");
        exit;
    } else {
        $err[] = 'Нет прав';
    }
}

if (isset($_GET['unset']) && dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]' AND `id` = '" . intval($_GET['unset']) . "'"), 0) && user_access('user_ban_unset')) {
    $ban_info = dbassoc(dbquery("SELECT * FROM `ban` WHERE `id_user` = '$ank[id]' AND `id` = '" . intval($_GET['unset']) . "'"));
    $ank2 = dbassoc(dbquery("SELECT * FROM `user` WHERE `id` = '$ban_info[id_ban]' LIMIT 1"));

    if (($user['level'] > $ank2['level'] || $user['id'] == $ank2['id']) || $user['level'] == 4) {
        dbquery("UPDATE `ban` SET `time` = '$time', `navsegda` = '0' WHERE `id` = '" . intval($_GET['unset']) . "' LIMIT 1");

        admin_log('Пользователи', 'Бан', "Снятие бана пользователя '[url=/amd_panel/ban.php?id=$ank[id]]$ank[nick][/url]'");

        $_SESSION['message'] = 'Время бана обнулено';
        header("Location: ?id=$ank[id]");
        exit;
    } else {
        $err[] = 'Нет прав';
    }
}

if (isset($_POST['ban_pr']) && isset($_POST['time']) && isset($_POST['vremja']) && (user_access('user_ban_set') || user_access('user_ban_set_h'))) {
    $timeban = $time;

    if ($_POST['vremja'] == 'min') {
        $timeban += intval($_POST['time']) * 60;
    }

    if ($_POST['vremja'] == 'chas') {
        $timeban += intval($_POST['time']) * 60 * 60;
    }

    if ($_POST['vremja'] == 'sut') {
        $timeban += intval($_POST['time']) * 60 * 60 * 24;
    }

    if ($_POST['vremja'] == 'mes') {
        $timeban += intval($_POST['time']) * 60 * 60 * 24 * 30;
    }

    if ($timeban < $time) {
        $err[] = 'Ошибка времени бана';
    }

    if (!user_access('user_ban_set')) {
        $timeban = min($timeban, $time + 3600 * 24);
    }

    $pochemu = $_POST['pochemu'];
    $razdel = $_POST['razdel'];
    $post = $_POST['post'];

    if (isset($_POST['navsegda'])) {
        $navsegda = $_POST['navsegda'];
    } else {
        $navsegda = 0;
    }

    $prich = $_POST['ban_pr'];

    if (strlen2($prich) > 1024) {
        $err[] = 'Сообщение слишком длинное';
    }

    if (strlen2($prich) < 10) {
        $err[] = 'Необходимо подробнее указать причину';
    }

    $prich = my_esc($prich);

    if (!isset($err)) {
        dbquery("INSERT INTO `ban` (`id_user`, `id_ban`, `prich`, `time`, `pochemu`, `razdel`, `post`, `navsegda`) VALUES ('$ank[id]', '$user[id]', '$prich', '$timeban', '$pochemu', '$razdel', '$post', '$navsegda')");

        admin_log('Пользователи', 'Бан', "Бан пользователя '[url=/adm_panel/ban.php?id=$ank[id]]$ank[nick][/url]' до " . vremja($timeban) . " по причине '$prich'");

        $_SESSION['message'] = 'Пользователь успешно забанен';
        header("Location: ?id=$ank[id]");
        exit;
    }
}

err();
aut();

$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo '<div class="list-group">';

if ($k_post == 0) {
    echo "<div class='list-group-item'>\n";
    echo "Нет результатов\n";
    echo "</div>\n";
}

$q = dbquery("SELECT * FROM `ban` WHERE `id_user` = '$ank[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");

while ($post = dbassoc($q)) {

    echo "<div class='list-group-item'>\n";

    $ank2 = dbassoc(dbquery("SELECT * FROM `user` WHERE `id` = $post[id_ban] LIMIT 1"));

    if ($set['set_show_icon'] == 2) {
        avatar($ank2['id']);
    } elseif ($set['set_show_icon'] == 1) {
        echo status($ank2['id']) . " ";
    }

    echo "<a href='/info.php?id=$ank2[id]'>$ank2[nick]</a> " . online($ank2['id']) . ": ";
    if ($post['navsegda'] == 1) {
        echo " бан <font color=red><b>навсегда</b></font><br />";
    } else {
        echo " до " . vremja($post['time']) . "<br />";
    }
    echo '<span class="badge text-bg-success">' . $rBan[$post['razdel']] . '</span> ';
    echo '<span class="badge text-bg-warning">' . $pBan[$post['pochemu']] . '</span><br />';
    echo '<i class="mdi mdi-comment"></i> ' . esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['prich'])))))))) . "<br />\n";
    echo '<div class="btn-group btn-group-sm">';
    if ($post['time'] > $time && user_access('user_ban_unset')) {
        echo '<a href="?" class="btn btn-outline-primary active">Активен</a>';
        echo "<a href='?id=$ank[id]&amp;unset=$post[id]' class='btn btn-outline-primary'>Снять бан</a>";
    }

    echo "<a href='?id=$ank[id]&amp;delete=$post[id]' class='btn btn-outline-danger'>Удалить</a>";
    echo "</div>\n";
    echo "</div>";
}


if ($k_page > 1) {
    str('?id=' . $ank['id'] . '&amp;', $k_page, $page);
} // Вывод страниц

if (user_access('user_ban_set') || user_access('user_ban_set_h')) {
    echo "<form class='list-group-item' action=\"ban.php?id=$ank[id]&amp;$passgen\" method=\"post\">\n";
    echo "<b>Раздел:</b>";

    if ($user['group_access'] == 12 || $user['level'] > 1) {
        echo "<div class='form-check'>";
        echo "<input name='razdel' type='radio' class='form-check-input' value='guest' checked='checked'><label class='form-check-label'>Гостевая</label>";
        echo "</div>\n";
    }
    if ($user['group_access'] == 11 || $user['level'] > 1) {
        echo "<div class='form-check'>";
        echo "<input name='razdel' type='radio' class='form-check-input' value='notes'  checked='checked'><label class='form-check-label'>Дневники</label>";
        echo "</div>\n";
    }
    if ($user['group_access'] == 3 || $user['level'] > 1) {
        echo "<div class='form-check'>";
        echo "<input name='razdel' type='radio' class='form-check-input' value='forum'  checked='checked'><label class='form-check-label'>Форум</label>";
        echo "</div>\n";
    }
    if ($user['group_access'] == 4 || $user['level'] > 1) {
        echo "<div class='form-check'>";
        echo "<input name='razdel' type='radio' class='form-check-input'  value='files'  checked='checked'><label class='form-check-label'>Файлы</label>";
        echo "</div>\n";
    }
    if ($user['group_access'] == 2 || $user['level'] > 1) {
        echo "<div class='form-check'>";
        echo "<input name='razdel' type='radio' class='form-check-input'  value='chat'  checked='checked'><label class='form-check-label'>Чат</label>";
        echo "</div>\n";
    }
    if ($user['group_access'] == 5 || $user['level'] > 1) {
        echo "<div class='form-check'>";
        echo "<input name='razdel' type='radio' class='form-check-input'  value='lib'  checked='checked'><label class='form-check-label'>Библиотека</label>";
        echo "</div>\n";
    }
    if ($user['group_access'] == 6 || $user['level'] > 1) {
        echo "<div class='form-check'>";
        echo "<input name='razdel' type='radio' class='form-check-input'  value='foto'  checked='checked'><label class='form-check-label'>Фотографии</label>";
        echo "</div>\n";
    }
    if ($user['level'] > 1) {
        echo "<div class='form-check'>";
        echo "<input name='razdel' type='radio' class='form-check-input' value='all' checked='checked'><label class='form-check-label'>Весь сайт</label>";
        echo "</div>\n";
    }

    echo "<b>Причина:</b>";

    echo "<div class='form-check'>";
    echo "<input name='pochemu' type='radio' class='form-check-input' value='1' checked='checked'><label class='form-check-label'>Спам/Реклама</label>";
    echo "</div>\n";
    echo "<div class='form-check'>";
    echo "<input name='pochemu' type='radio' class='form-check-input' value='2'><label class='form-check-label'>Мошенничество</label>";
    echo "</div>\n";
    echo "<div class='form-check'>";
    echo "<input name='pochemu' type='radio' class='form-check-input' value='3'><label class='form-check-label'>Нецензурная брань</label>";
    echo "</div>\n";
    echo "<div class='form-check'>";
    echo "<input name='pochemu' type='radio' class='form-check-input' value='4'><label class='form-check-label'>Клонирование ников</label>";
    echo "</div>\n";
    echo "<div class='form-check'>";
    echo "<input name='pochemu' type='radio' class='form-check-input' value='5'><label class='form-check-label'>Подстрекательство, провокация и побуждение к агрессии</label>";
    echo "</div>\n";
    echo "<div class='form-check'>";
    echo "<input name='pochemu' type='radio' class='form-check-input' value='6'><label class='form-check-label'>Флуд</label>";
    echo "</div>\n";
    echo "<div class='form-check'>";
    echo "<input name='pochemu' type='radio' class='form-check-input' value='7'><label class='form-check-label'>Флейм</label>";
    echo "</div>\n";
    echo "<div class='form-check'>";
    echo "<input name='pochemu' type='radio' class='form-check-input' value='0'><label class='form-check-label'>Другое</label>";
    echo "</div>\n";

    echo "<b>Сообщения:</b>";
    echo "<div class='form-check'>";
    echo "<input name='post' type='radio' class='form-check-input' value='0' checked='checked'><label class='form-check-label'>Показывать</label>";
    echo "</div>\n";
    echo "<div class='form-check'>";
    echo "<input name='post' type='radio' class='form-check-input' value='1'><label class='form-check-label'>Скрыть</label>";
    echo "</div>\n";

    echo "<label class='form-label'><b>Комментарий</b></label>\n";
    echo "<div class='mb-3'>";
    echo "<textarea name=\"ban_pr\" class='form-control'></textarea>\n";
    echo "</div>\n";

    echo "<b>Время бана " . (user_access('user_ban_set') ? null : '(max 1 сутки)') . ":</b>\n";
    echo "<div class='input-group mb-3'>";
    echo "<input type='text' class='form-control' name='time' title='Время бана' value='10' maxlength='11' size='3' />\n";

    echo "<select class='form-control' name=\"vremja\">\n";
    echo "<option value='min'>Минуты</option>\n";
    echo "<option " . (($k_post > 1) ? 'selected="selected" ' : null) . "value='chas'>Часы</option>\n";
    echo "<option value='sut'>Сутки</option>\n";
    echo "<option value='mes'" . (user_access('user_ban_set') ? null : ' disabled="disabled"') . ">Месяцы</option>\n";
    echo "</select><br />\n";
    echo "</div>\n";

    echo "<div class='form-check'>";
    echo "<input type='checkbox' class='form-check-input' name='navsegda' value='1'>";
    echo "<label class='form-check-label'>Навсегда</label>\n";
    echo "</div>\n";

    echo "<button type='submit' class='btn btn-warning'>Забанить</button>\n";
    echo "</form>\n";
} else {
    echo "<div class='err'>Нет прав для того, чтобы забанить пользователя</div>\n";
}

echo "<div class='list-group-item'>\n";
echo "<a href=\"/info.php?id=$ank[id]\"><i class='mdi mdi-arrow-u-left-top'></i> Профиль $ank[nick]</a><br />\n";
echo "</div>\n";

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='index.php'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />";
    echo "</div>\n";
}

echo "</div`>\n";

include_once TFOOT;
?>