<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

user_access('adm_set_chat', null, 'index.php?' . SID);

adm_check();

$set['title'] = 'Чат - шутки';

include_once THEAD;

title();

if (isset($_GET['act']) && isset($_FILES['file']['tmp_name'])) {
    if (isset($_POST['replace'])) {
        dbquery('TRUNCATE `chat_shutnik`');
    }

    $k_add = 0;
    $list = @file($_FILES['file']['tmp_name']);
    if ($list > 0) {

        for ($i = 0; $i < count($list); $i++) {
            $shut = trim($list[$i]);

            if (strlen2($shut) < 10) {
                continue;
            }

            dbquery("INSERT INTO `chat_shutnik` (`anek`) VALUES ('" . my_esc($shut) . "')");

            $k_add++;
        }

        admin_log('Чат', 'Добавление', "Добавлено $k_add шуток");
        msg("Успешно добавлено $k_add из $i шуток");
    } else {
        $err[] = "Ошибка загрузки";
    }
}

err();
aut();

echo '<div class="list-group">';
echo "<div class='list-group-item'>\n";
echo "Всего шуток в базе: " . dbresult(dbquery("SELECT COUNT(*) FROM `chat_shutnik`"), 0) . "<br />\n";
echo "</div>\n";

echo "<form method='post' class='list-group-item' action='?act=$passgen' enctype='multipart/form-data'>\n";
echo "<input type='file' name='file' required/><br />\n";
echo "Поддерживаются только текстовые файлы в кодировке UTF-8.<br />\nКаждая шутка должна быть в отдельной строке.\nШутки короче 10 символов игнорируются.<br />\n";
echo "<button type='submit' name='add' class='btn btn-primary'>Добавить</button> ";
echo "<button type='submit' name='replace' class='btn btn-outline-secondary'>Заменить</button>";
echo "</form>\n";

echo "<div class='list-group-item'>\n";
echo "<a href='/adm_panel/settings_chat.php'><i class='mdi mdi-arrow-u-left-top'></i> Настройки чата</a>\n";
echo "</div>\n";
echo "<div class='list-group-item'>\n";
echo "<a href='/adm_panel/chat_vopr.php'><i class='mdi mdi-arrow-u-left-top'></i> Вопросы викторины</a>\n";
echo "</div>\n";

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='index.php'><i class='mdi mdi-arrow-left'></i> Панель управления</a>";
    echo "</div>\n";
}

echo "</div>\n";

include_once TFOOT;
?>