<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

include_once '../sys/inc/icons.php'; // Иконки главного меню

user_access('adm_menu', null, 'index.php?' . SID);
adm_check();

$set['title'] = 'Главное меню';

include_once THEAD;

title();

$opendiricon = opendir(H . 'style/icons');

while ($icons = readdir($opendiricon)) {

// запись всех тем в массив
    if (preg_match('#^\.|default.png#', $icons)) {
        continue;
    }

    $icon[] = $icons;
}

closedir($opendiricon);

if (isset($_POST['add']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['url']) && $_POST['url'] != NULL && isset($_POST['counter'])) {
    $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
    $url = esc(stripcslashes(htmlspecialchars($_POST['url'])));
    $counter = esc(stripcslashes(htmlspecialchars($_POST['counter'])));
    $pos = dbresult(dbquery("SELECT MAX(`pos`) FROM `menu`"), 0) + 1;
    $icon = preg_replace('#[^a-z0-9 _\-\.]#i', null, $_POST['icon']);

    dbquery("INSERT INTO `menu` (`name`, `url`, `counter`, `pos`, `icon`) VALUES ('$name', '$url', '$counter', '$pos', '$icon')");
    msg('Ссылка успешно добавлена');
}

if (isset($_POST['add']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['counter']) && isset($_POST['type']) && $_POST['type'] == 'razd') {
    $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
    $url = esc(stripcslashes(htmlspecialchars($_POST['url'])));
    $counter = esc(stripcslashes(htmlspecialchars($_POST['counter'])));
    $pos = dbresult(dbquery("SELECT MAX(`pos`) FROM `menu`"), 0) + 1;
    $icon = preg_replace('#[^a-z0-9 _\-\.]#i', null, $_POST['icon']);

    dbquery("INSERT INTO `menu` (`type`, `name`, `url`, `counter`, `pos`, `icon`) VALUES ('razd', '$name', '$url', '$counter', '$pos', '$icon')");
    msg('Ссылка успешно добавлена');
}

if (isset($_POST['change']) && isset($_GET['id']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['url']) && isset($_POST['counter'])) {
    $id = intval($_GET['id']);
    $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
    $url = esc(stripcslashes(htmlspecialchars($_POST['url'])));
    $counter = esc(stripcslashes(htmlspecialchars($_POST['counter'])));
    $icon = preg_replace('#[^a-z0-9 _\-\.]#i', null, $_POST['icon']);

    dbquery("UPDATE `menu` SET `name` = '$name', `url` = '$url', `counter` = '$counter', `icon` = '$icon' WHERE `id` = '$id' LIMIT 1");
    msg('Пункт меню успешно изменен');
}

if (isset($_GET['id']) && isset($_GET['act']) && dbresult(dbquery("SELECT COUNT(*) FROM `menu` WHERE `id` = '" . intval($_GET['id']) . "'"), 0)) {
    $menu = dbassoc(dbquery("SELECT * FROM `menu` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1"));

    if ($_GET['act'] == 'up') {
        dbquery("UPDATE `menu` SET `pos` = '" . ($menu['pos']) . "' WHERE `pos` = '" . ($menu['pos'] - 1) . "' LIMIT 1");
        dbquery("UPDATE `menu` SET `pos` = '" . ($menu['pos'] - 1) . "' WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1");
        msg('Пункт меню сдвинут на позицию вверх');
    }

    if ($_GET['act'] == 'down') {
        dbquery("UPDATE `menu` SET `pos` = '" . ($menu['pos']) . "' WHERE `pos` = '" . ($menu['pos'] + 1) . "' LIMIT 1");
        dbquery("UPDATE `menu` SET `pos` = '" . ($menu['pos'] + 1) . "' WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1");
        msg('Пункт меню сдвинут на позицию вниз');
    }

    if ($_GET['act'] == 'del') {
        dbquery("DELETE FROM `menu` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1");
        msg('Пункт меню удален');
    }
}

err();
aut();

echo '<div class="list-group">';

$q = dbquery("SELECT * FROM `menu` ORDER BY `pos` ASC");

while ($post = dbassoc($q)) {

    if (!isset($post['icon'])) {
        dbquery('ALTER TABLE `menu` ADD `icon` VARCHAR( 32 ) NULL DEFAULT NULL');
    }

    if (!isset($post['type'])) {
        dbquery("ALTER TABLE  `menu` ADD  `type` ENUM('link', 'razd') NOT NULL DEFAULT 'link' AFTER `id`");
    }

    echo "<div class='list-group-item'>\n";

    echo "$post[pos]. ";
    if ($post['type'] == 'link') {
        echo "<i class='mdi mdi-$post[icon]'></i> ";
    }

    echo "$post[name] " . ($post['type'] == 'link' ? "($post[url])" : null);

    if (isset($_GET['id']) && $_GET['id'] == $post['id'] && isset($_GET['act']) && $_GET['act'] == 'edit') {
        echo "<form action=\"?id=$post[id]\" method=\"post\">";

        echo "<label class='form-label'>Тип: " . ($post['type'] == 'link' ? 'Ссылка' : 'Раздел') . "</label><br />\n";

        if ($post['type'] == 'link') {
            echo "<label class='form-label'>Ссылка: </label><br />\n";
            echo "<input type='text' class='form-control' name='url' value='$post[url]' /><br />\n";
        } else {
            echo "<input type='hidden' class='form-control' name='url' value='' /><br />\n";
        }

        echo "<div class='mb-3'>";
        echo "<label class='form-label'>Название: </label><br />\n";
        echo "<input type='text' class='form-control' name='name' value=\"$post[name]\" />\n";
        echo "</div>";

        echo "<div class='mb-3'>";
        echo "<label class='form-label'>Счетчик: </label><br />\n";
        echo "<input type='text' class='form-control' name='counter' value='$post[counter]' />\n";
        echo "</div>";

        echo "<div class='mb-3'>";
        echo "<label class='form-label'><i class='mdi mdi-$post[icon]'></i> <b>Иконка:</b> <a href='https://pictogrammers.com/library/mdi/'>" . __('посмотреть иконки') . "</a> </label><br />\n";
        if ($post['type'] == 'link') {
            echo "<input type='text' class='form-control' name='icon' value='$post[icon]' />\n";
        } else {
            echo "<input type='hidden' class='form-control' name='icon' value='$post[icon]' />\n";
        }
        echo "</div>";

        echo "<button type='submit' name='change' class='btn btn-primary'><i class='mdi mdi-content-save-outline'></i> Сохранить изменения</button>\n";
        echo "<a href='?' class='btn btn-outline-secondary'>Отмена</a>";
        echo "</form>";
    } else {
        echo "<br />";
        echo "Счетчик: " . ($post['counter'] == null ? 'отсутствует' : $post['counter']) . "<br />\n";
        echo "<a href='?id=$post[id]&amp;act=up&amp;$passgen' class='badge text-bg-info'><i class='mdi mdi-arrow-up'></i> Выше</a> ";
        echo "<a href='?id=$post[id]&amp;act=down&amp;$passgen' class='badge text-bg-info'><i class='mdi mdi-arrow-down'></i> Ниже</a> ";
        echo "<a href='?id=$post[id]&amp;act=del&amp;$passgen' class='badge text-bg-danger'><i class='mdi mdi-delete'></i> Удалить</a> ";
        echo "<a href='?id=$post[id]&amp;act=edit&amp;$passgen' class='badge text-bg-secondary'><i class='mdi mdi-pen'></i> Редактировать </a>";
    }

    echo "</div>\n";
}


if (isset($_GET['add'])) {
    echo "<form action='?add=$passgen' class='list-group-item' method=\"post\">";
    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Тип:</label><br />\n";
    echo "<select name='type' class='form-select'>\n";
    echo "<option value='link'>Ссылка (1)</option>\n";
    echo "<option value='razd'>Раздел (2)</option>\n";
    echo "</select>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Название (1,2):</label><br />\n";
    echo "<input type=\"text\" name=\"name\" class='form-control' value=\"\"/>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Ссылка(1):</label><br />\n";
    echo "<input type=\"text\" name=\"url\" class='form-control' value=\"\"/>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Счетчик (1,2):</label><br />\n";
    echo "<input type=\"text\" name=\"counter\" class='form-control' value=\"\"/>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Иконка (1): <a href='https://pictogrammers.com/library/mdi/'>" . __('посмотреть иконки') . "</a></label><br />\n";
    echo "<input type=\"text\" name=\"icon\" class='form-control' value=\"\"/>\n";
    echo "</div>\n";

    echo "<button type='submit' name='add' class='btn btn-primary'>Добавить</button>\n";
    echo "<a href='?$passgen' class='btn btn-outline-secondary'>Отмена</a>\n";
    echo "</form>";
} else {
    echo "<div class='list-group-item'><a href='?add=$passgen' class='btn btn-outline-primary'><i class='mdi mdi-playlist-plus'></i> Добавить пункт</a></div>\n";
}

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='index.php'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />";
    echo "</div>\n";
}
echo "</div>\n";

include_once TFOOT;
?>