<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

user_access('adm_ref', null, 'index.php?' . SID);

adm_check();

$set['title'] = 'Рефералы'; // заголовок страницы

include_once THEAD;

title();
aut();

$k_post = dbresult(dbquery("SELECT COUNT(distinct(`url`)) FROM `user_ref`"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo "<div class='list-group'>\n";

if ($k_post == 0) {
    echo "<div class='list-group-item'>\n";
    echo "Нет результатов\n";
    echo "</div>\n";
}

$q = dbquery("SELECT COUNT(`url`) AS `count`, MAX(`time`) AS `time`, `url` FROM `user_ref` GROUP BY `url` ORDER BY `count` DESC LIMIT $start, $set[p_str]");

while ($ref = dbassoc($q)) {
    echo "<div class='list-group-item'>\n";
    echo "URL: <a target='_blank' href='/go.php?go=" . base64_encode("http://$ref[url]") . "'>" . htmlentities($ref['url']) . "</a><br />\n";

    echo "Переходов: $ref[count]<br />\n";
    echo "Последний: " . vremja($ref['time']) . "<br />\n";
    echo "</div>\n";
}


if ($k_page > 1) {
    str("?", $k_page, $page);
} // Вывод страниц

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='index.php'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />";
    echo "</div>\n";
}

echo "</div>\n";

include_once TFOOT;
