<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
$temp_set = $set;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

user_access('adm_set_user', null, 'index.php?' . SID);

adm_check();

$set['title'] = 'Пользовательские настройки';

include_once THEAD;

title();

if (isset($_POST['save'])) {
    if ($_POST['write_guest'] == 1 || $_POST['write_guest'] == 0) {
        $temp_set['write_guest'] = intval($_POST['write_guest']);
    }

    if ($_POST['show_away'] == 1 || $_POST['show_away'] == 0) {
        $temp_set['show_away'] = intval($_POST['show_away']);
    }

    if ($_POST['guest_select'] == 1 || $_POST['guest_select'] == 0) {
        $temp_set['guest_select'] = intval($_POST['guest_select']);
    }

    if ($_POST['st'] == 1 || $_POST['st'] == 0) {
        $temp_set['st'] = intval($_POST['st']);
    }

    $temp_set['reg_select'] = esc($_POST['reg_select']);

    if (save_settings($temp_set)) {
        admin_log('Настройки', 'Пользователи', "Изменение пользовательских настроек");
        msg('Настройки успешно приняты');
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}

err();
aut();

echo "<div class='list-group'>";
echo "<form method=\"post\" class='list-group-item' action=\"?\">\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Режим регистрации:</label>\n";
echo "<select name=\"reg_select\" class='form-control'>\n";
echo "<option value=\"close\">Закрыта</option>\n";

if ($temp_set['reg_select'] == 'open') {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"open\"$sel>Открыта</option>\n";

if ($temp_set['reg_select'] == 'open_mail') {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"open_mail\"$sel>Открыта + E-mail</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Режим гостя:</label>\n";
echo "<select name=\"guest_select\" class='form-control'>\n";
echo "<option value=\"0\">Открыто все</option>\n";

if ($temp_set['guest_select'] == '1') {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"1\"$sel>Закрыто все *</option>\n";
echo "</select>\n";
echo "</div>\n";

echo " * остаются открытыми регистрация и авторизация<br />\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Показ away:</label>\n";
echo "<select name=\"show_away\" class='form-control'>\n";

if ($temp_set['show_away'] == 1) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"1\"$sel>Показывать</option>\n";

if ($temp_set['show_away'] == 0) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"0\"$sel>Скрывать</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Пишут в гостевой:</label>\n";
echo "<select name=\"write_guest\" class='form-control'>\n";

if ($temp_set['write_guest'] == 1) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"1\"$sel>Все</option>\n";

if ($temp_set['write_guest'] == 0) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"0\"$sel>Авторизованые</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Показ статусов в прочих модулях:</label>\n";
echo "<select name=\"st\" class='form-control'>\n";

if ($temp_set['st'] == 1) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"1\"$sel>Показывать</option>\n";

if ($temp_set['st'] == 0) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"0\"$sel>Скрывать</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<button type='submit' name='save' class='btn btn-success'><i class='mdi mdi-content-save-outline'></i> Сохранить изменения</button>\n";

echo "</form>\n";

if (user_access('user_mass_delete')) {
    echo "<div class='list-group-item'>\n";
    echo "<a href='/adm_panel/delete_users.php'><i class='mdi mdi-delete'></i> Удаление пользователей</a><br />\n";
    echo "</div>\n";
}

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='/adm_panel/'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />\n";
    echo "</div>\n";
}
echo "</div>\n";

include_once TFOOT;
?>