<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;
// Заголовок
$set['title'] = 'Новости';

include_once THEAD;

title();
aut();

// Колличество новостей
$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `news`"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

// Выборка новостей
$q = dbquery("SELECT * FROM `news` ORDER BY `id` DESC LIMIT $start, $set[p_str]");

echo '<div class="list-group">';

if ($k_post == 0) {
    echo '<div class="list-group-item">';
    echo 'Нет результатов';
    echo '</div>';
}

while ($post = dbassoc($q)) {
    echo '<div class="list-group-item">';

    // Заголовок новости
    echo '<a href="news.php?id=' . $post['id'] . '"><h3>' . text($post['title']) . '</h3></a> ';

    // Часть текста
    echo output_text($post['msg']);

    echo "<br />";

    // Колличество комментариев
    echo '<span class="badge text-bg-light"><i class="mdi mdi-comment"></i> ' . dbresult(dbquery("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '$post[id]'"), 0) . '</span> ';
    echo '<span class="badge text-bg-light"><a href="news.php?id=' . $post['id'] . '">Читать далее &gt;&gt;&gt;</a></span>';
    echo '</div>';
}


// Вывод страниц
if ($k_page > 1) {
    str('index.php?', $k_page, $page);
}


if (user_access('adm_news')) {
    echo '<div class="list-group-item">';
    echo '<a href="add.php" class="btn btn-primary"><i class="mdi mdi-newspaper-plus"></i> Новая новость</a>';
    echo '</div>';
}
echo '</div>';

include_once TFOOT;
?>
