<?php

include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;

/* Бан пользователя */
if (dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'notes' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

only_reg();

$set['title'] = 'Редактирование';

include_once THEAD;

title();
aut();

if (dbresult(dbquery("SELECT COUNT(*) FROM `notes` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1", $db), 0) == 0) {
    header("Location: index.php?" . SID);
    exit;
}

$notes = dbarray(dbquery("select * from `notes` where `id` = '" . intval($_GET['id']) . "'"));

if (user_access('notes_edit') || $user['id'] == $notes['id_user']) {
    $avtor = get_user($notes['id_user']);

    if (isset($_GET['edit']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['msg'])) {
        $msg = my_esc($_POST['msg']);
        $id_dir = intval($_POST['id_dir']);
        $privat = intval($_POST['private']);
        $privat_komm = intval($_POST['private_komm']);
        $type = 0;

        if ($_POST['name'] == null) {
            $name = substr(esc(stripslashes(htmlspecialchars($_POST['msg']))), 0, 24);
        } else {
            $name = $_POST['name'];
        }

        if (strlen2($name) > 50) {
            $err = 'Длина названия превышает предел в 50 символов';
        }
        if (strlen2($msg) < 3) {
            $err = 'Короткий Текст';
        }
        if (strlen2($msg) > 10000) {
            $err = 'Длина текста превышает предел в 10000 символа';
        }

        if (!isset($err)) {
            dbquery("UPDATE `notes` SET `name` = '" . my_esc($name) . "', `type` = '$type', `id_dir` = '$id_dir', `msg` = '$msg', `private` = '$privat', `private_komm` = '$privat_komm' WHERE `id`='" . intval($_GET['id']) . "'");

            $_SESSION['message'] = 'Изменения сохранены';

            header("Location: list.php?id=" . intval($_GET['id']) . "" . SID);
            exit;
        }
    }

    err();

    echo "<div class='list-group'>\n";
    echo "<div class=\"list-group-item\">\n";
    echo "<i class='mdi mdi-arrow-left'></i> <a href='index.php'>Блоги</a> | <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>\n";
    echo " | <a href='list.php?id=$notes[id]'>" . text($notes['name']) . "</a> | <b>Редактирование</b>";
    echo "</div>\n";

    $notes = dbarray(dbquery("select * from `notes` where `id`='" . intval($_GET['id']) . "';"));

    echo "<form method='post' name='message' class='list-group-item' action='?id=" . intval($_GET['id']) . "&amp;edit'>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Название:</label>";
    echo "<input name=\"name\" required class='form-control' maxlength=\"32\" value=\"" . text($notes['name']) . "\" type=\"text\" />\n";
    echo "</div>\n";

    $msg2 = text($notes['msg']);

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Сообщение: $tPanel</label>";
    echo "<textarea name=\"msg\" required class='form-control'>" . text($notes['msg']) . "</textarea>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Категория:</label>";
    echo "<select name='id_dir' class='form-control'>\n";
    $q = dbquery("SELECT * FROM `notes_dir` ORDER BY `id` DESC");
    echo "<option value='0'" . (!$notes['id_dir'] ? " selected='selected'" : null) . "><b>Без категории</b></option>\n";

    while ($post = dbassoc($q)) {
        echo "<option value='$post[id]'" . ($notes['id_dir'] == $post['id'] ? " selected='selected'" : null) . ">" . text($post['name']) . "</option>\n";
    }

    echo "</select>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-check-label'>Могут смотреть:</label>";

    echo "<div class='form-check'>";
    echo "<input name='private' type='radio' value='0' class='form-check-input' " . ($notes['private'] == 0 ? ' checked="checked"' : null) . "/>Все ";
    echo "</div>\n";

    echo "<div class='form-check'>";
    echo "<input name='private' type='radio' value='1' " . ($notes['private'] == 1 ? ' checked="checked"' : null) . " class='form-check-input'/>Друзья ";
    echo "</div>\n";

    echo "<div class='form-check'>";
    echo "<input name='private' type='radio' value='2' " . ($notes['private'] == 2 ? ' checked="checked"' : null) . " class='form-check-input'/>Только я";
    echo "</div>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-check-label'>Могут комментировать:</label>";

    echo "<div class='form-check'>";
    echo "<input name='private_komm' type='radio' value='0' class='form-check-input' " . ($notes['private_komm'] == 0 ? ' checked="checked"' : null) . "/>Все ";
    echo "</div>\n";

    echo "<div class='form-check'>";
    echo "<input name='private_komm' type='radio' " . ($notes['private_komm'] == 1 ? ' checked="checked"' : null) . " value='1' class='form-check-input'/>Друзья ";
    echo "</div>\n";

    echo "<div class='form-check'>";
    echo "<input name='private_komm' type='radio' " . ($notes['private_komm'] == 2 ? ' checked="checked"' : null) . " value='2' class='form-check-input'/>Только я";
    echo "</div>\n";
    echo "</div>\n";

    echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Применить</button>";
    echo "</form>\n";

    echo "<div class=\"list-group-item\">\n";
    echo "<i class='mdi mdi-arrow-left'></i> <a href='index.php'>Дневники</a> | <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>\n";
    echo " | <a href='list.php?id=$notes[id]'>" . text($notes['name']) . "</a> | <b>Редактирование</b>";
    echo "</div>\n";
    echo "</div>\n";
}
include_once TFOOT;
?>