<?php

/* DCMS Special
 * Дата последнего редактирования 29.12.2015
 * Модифицировал densnet
 */

function page($k_page = 1) { # Выдает текущую страницу
    $page = 1;
    if (isset($_GET['page'])) {
        if ($_GET['page'] == 'end') {
            $page = intval($k_page);
        } elseif (is_numeric($_GET['page'])) {
            $page = intval($_GET['page']);
        }
    }
    if ($page < 1) {
        $page = 1;
    }
    if ($page > $k_page) {
        $page = $k_page;
    }
    return $page;
}

// Определяем кол-во страниц
function k_page($k_post = 0, $k_p_str = 10) {
    if ($k_post != 0) {
        $v_pages = ceil($k_post / $k_p_str);
        return $v_pages;
    } else {
        return 1;
    }
}

function str($link = '?', $k_page = 1, $page = 1) { // Вывод номеров страниц (только на первый взгляд кажется сложно ;))
    if ($page < 1) {
        $page = 1;
    }
    echo '<div class="list-group-item">';
    echo "<ul class='pagination'>\n";
    if ($page != 1) {
        echo "<li class='page-item'>\n";
        echo "<a class='page-link' href='{$link}page=1'><i class='mdi mdi-chevron-double-left'></i></a>";
        echo "</li>";
    }

    if ($page != 1) {
        echo "<li class='page-item'>\n";
        echo "<a class='page-link' href=\"" . $link . "page=1\">1</a>";
        echo "</li>";
    } else {
        echo "<li class='page-item'>\n";
        echo "<a class='page-link active'>1</a>";
        echo "</li>";
    }

    for ($ot = -2; $ot <= 2; $ot++) {
        if ($page + $ot > 1 && $page + $ot < $k_page) {
            if ($ot == -2 && $page + $ot > 2) {
                echo "";
            }
            if ($ot != 0) {
                echo "<li class='page-item'>\n";
                echo "<a class='page-link' href=\"" . $link . "page=" . ($page + $ot) . "\">" . ($page + $ot) . "</a>";
                echo "</li>";
            } else {
                echo "<li class='page-item'>\n";
                echo "<a class='page-link active'>" . ($page + $ot) . "</a>";
                echo "</li>";
            }
            if ($ot == 2 && $page + $ot < $k_page - 1) {
                echo "";
            }
        }
    }
    if ($page != $k_page) {
        echo "<li class='page-item'>\n";
        echo "<a class='page-link' href=\"" . $link . "page=end\">$k_page</a>";
        echo "</li>";
    } elseif ($k_page > 1) {
        echo "<li class='page-item'>\n";
        echo "<a class='page-link active'>$k_page</a>";
        echo "</li>";
    }
    if ($page != $k_page) {
        echo "<li class='page-item'>\n";
        echo "<a class='page-link'><i class='mdi mdi-chevron-double-right'></i></a>";
        echo "</li>";
    }

    echo "</ul>";
    echo "</div>";
}
