<?php

include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;

if (isset($user)) {
    $ank['id'] = $user['id'];
}

if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);
}

if ($ank['id'] == 0) {
    header("Location: /index.php?" . SID);
    exit;
}

$ank = get_user($ank['id']);

if (!$ank) {
    header("Location: /index.php?" . SID);
    exit;
}

$set['title'] = 'Закладки ' . $ank['nick']; // заголовок страницы

include_once THEAD;

title();
err();
aut(); // форма авторизации

echo '<div class="list-group">';

if (isset($user) && $ank['id'] == $user['id']) {
    echo '<div class="list-group-item list-group-item-success">';
    echo 'С помощью функции закладок вы можете сохранить ссылку на интересного вам человека, файл, фото, фотоальбом, заметки, обсуждения<br />';
    echo '</div>';
}

echo "<div class=\"list-group-item\">\n";
echo "<div id='comments' class='nav nav-tabs' style='margin-bottom:-9px'>";

if (!isset($_GET['metki'])) {
    echo "<div class='nav-item'>";
    echo "<a href='index.php' class='nav-link active'>Все</a>";
    echo "</div>";

    echo "<div class='nav-item'>";
    echo "<a href='?id=" . $ank['id'] . "&metki' class='nav-link'>Категории</a>";
    echo "</div>";
} elseif (isset($_GET['metki'])) {
    echo "<div class='nav-item'>";
    echo "<a href='index.php' class='nav-link'>Все</a>";
    echo "</div>";

    echo "<div class='nav-item'>";
    echo "<a href='?id=" . $ank['id'] . "&metki' class='nav-link active'>Категории</a>";
    echo "</div>";
}
echo "</div>";
echo "</div>";

if (isset($_GET['metki'])) {
    $people = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '" . $ank['id'] . "' AND `type`='people'"), 0);
    $files = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '" . $ank['id'] . "' AND `type`='file'"), 0);
    $foto = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '" . $ank['id'] . "' AND `type`='foto'"), 0);
    $forum = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '" . $ank['id'] . "' AND `type`='forum'"), 0);
    $notes = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '" . $ank['id'] . "' AND `type`='notes'"), 0);

    echo '<div class="list-group-item">';
    echo '<a href="/user/bookmark/people.php?id=' . $ank['id'] . '"><i class="mdi mdi-account-supervisor-outline"></i> Люди</a> <span style="float:right">' . $people . '</span>';
    echo '</div>';

    echo '<div class="list-group-item">';
    echo '<a href="/user/bookmark/files.php?id=' . $ank['id'] . '"><i class="mdi mdi-file-document-multiple-outline"></i> Файлы</a> <span style="float:right">' . $files . '</span>';
    echo '</div>';

    echo '<div class="list-group-item">';
    echo '<a href="/user/bookmark/foto.php?id=' . $ank['id'] . '"><i class="mdi mdi-image-multiple"></i> Фотографии</a> <span style="float:right">' . $foto . '</span>';
    echo '</div>';

    echo '<div class="list-group-item">';
    echo '<a href="/user/bookmark/forum.php?id=' . $ank['id'] . '"><i class="mdi mdi-forum-outline"></i> Форум</a> <span style="float:right">' . $forum . '</span>';
    echo '</div>';

    echo '<div class="list-group-item">';
    echo '<a href="/user/bookmark/notes.php?id=' . $ank['id'] . '"><i class="mdi mdi-book-multiple-outline"></i> Блоги</a> <span style="float:right">' . $notes . '</span>';
    echo '</div>';

    echo '<div class="list-group-item">';
    echo '<a href="/info.php?id=' . $ank['id'] . '"><i class="mdi mdi-arrow-left"></i> ' . $ank['nick'] . '</a> | <b>Закладки</b>';
    echo '</div>';
} else {
    $k_post = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '$ank[id]'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    $q = dbquery("SELECT * FROM `bookmarks` WHERE `id_user`='$ank[id]' ORDER BY `time` DESC LIMIT $start,$set[p_str]");
    while ($post = dbassoc($q)) {
        echo "<div class='list-group-item'>";
        if ($post['type'] == 'forum') {
            $them = dbassoc(dbquery("SELECT * FROM `forum_t` WHERE `id`='$post[id_object]' LIMIT 1"));

            echo "<small style='float:right'> Добавлено " . vremja($post['time']) . "</small>";
            echo "<a href='/forum/" . $them['id_forum'] . "/" . $them['id_razdel'] . "/" . $them['id'] . "/'><i class='mdi mdi-forum-outline'></i> " . htmlspecialchars($them['name']) . "</a><br/>";
            echo substr(htmlspecialchars($them['text']), 0, 40) . "";
        } elseif ($post['type'] == 'notes') {
            $notes = dbassoc(dbquery("SELECT * FROM `notes` WHERE `id`='$post[id_object]' LIMIT 1"));

            echo "<small style='float:right'> Добавлено " . vremja($post['time']) . "</small>";
            echo "<a href='/plugins/notes/list.php?id=" . $notes['id'] . "'><i class='mdi mdi-book-multiple-outline'></i> " . htmlspecialchars($notes['name']) . "</a><br/>";
            echo substr(htmlspecialchars($notes['msg']), 0, 40) . "[...]";
        } elseif ($post['type'] == 'people') {
            $people = get_user($post['id_object']);

            echo "<small style='float:right'> Добавлено " . vremja($post['time']) . "</small>";

            echo group($people['id']) . " ";
            echo user::nick($people['id'], 1, 1, 1) . " <br/>";
        } elseif ($post['type'] == 'foto') {
            $foto = dbassoc(dbquery("SELECT * FROM `gallery_foto` WHERE `id`='$post[id_object]' LIMIT 1"));

            echo "<small style='float:right'> Добавлено " . vremja($post['time']) . "</small>";

            echo "<a href='/foto/" . $foto['id_user'] . "/" . $foto['id_gallery'] . "/" . $foto['id'] . "/'><i class='mdi mdi-image-multiple'></i> " . htmlspecialchars($foto['name']) . "</a><br/>";
            echo "<img style='height:60px;' src='/foto/foto0/" . $foto['id'] . "." . $foto['ras'] . "'>";
            echo substr(htmlspecialchars($foto['opis']), 0, 40) . "[...] ";
        } elseif ($post['type'] == 'file') {
            $file_id = dbassoc(dbquery("SELECT id_dir,id,name,ras  FROM `obmennik_files` WHERE `id` = '" . $post['id_object'] . "'  LIMIT 1"));
            $dir = dbarray(dbquery("SELECT `dir` FROM `obmennik_dir` WHERE `id` = '$file_id[id_dir]' LIMIT 1"));

            echo "<small style='float:right'> Добавлено " . vremja($post['time']) . "</small>";
            echo '<a href="/obmen' . $dir['dir'] . $file_id['id'] . '.' . $file_id['ras'] . '?showinfo"><i class="mdi mdi-file-document-multiple-outline"></i> ' . htmlspecialchars($file_id['name']) . '.' . $file_id['ras'] . '</a>';
        }
        echo "</div>";
    }
}
echo "</div>";

include_once TFOOT;
?>