<?php

include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;

only_reg();
only_level(3);

$width = ($webbrowser == 'web' ? '100' : '70'); // Размер подарков при выводе в браузер

/*  Редактирование подарков */
if (isset($_GET['edit_gift']) && isset($_GET['category'])) {
    $category = dbassoc(dbquery("SELECT * FROM `gift_categories` WHERE `id` = '" . intval($_GET['category']) . "' LIMIT 1"));
    $gift = dbassoc(dbquery("SELECT * FROM `gift_list` WHERE `id` = '" . intval($_GET['edit_gift']) . "' LIMIT 1"));

    if (!$category || !$gift) {
        $_SESSION['message'] = 'Нет такой категории или подарка';

        header("Location: ?");
        exit;
    }

    if (isset($_POST['name']) && isset($_POST['money'])) { // Редактирование записи
        $name = my_esc($_POST['name']);
        $money = intval($_POST['money']);

        if ($money < 1) {
            $err = 'Укажите стоимость подарка';
        }

        if (strlen2($name) < 2) {
            $err = 'Короткое название';
        }

        if (strlen2($name) > 128) {
            $err = 'Длина названия превышает предел в 128 символов';
        }

        if (!isset($err)) {
            dbquery("UPDATE `gift_list` SET `name` = '$name' , `money` = '$money', `id_category` = '$category[id]' WHERE `id` = '$gift[id]'");

            $_SESSION['message'] = 'Подарок успешно отредактирован';

            header('Location: ?category=' . $category['id'] . '&page=' . intval($_GET['page']));
            exit;
        }
    }

    if (isset($_GET['delete'])) { // Удаление подарка
        unlink(H . 'sys/gift/' . $gift['id'] . '.png');

        dbquery("DELETE FROM `gift_list` WHERE `id` = '$gift[id]'");
        dbquery("DELETE FROM `gifts_user` WHERE `id_gift` = '$gift[id]'");

        $_SESSION['message'] = 'Подарок успешно удален';

        header("Location: ?category=$category[id]&page=" . intval($_GET['page']));
        exit;
    }

    $set['title'] = 'Редактирование подарка';

    include_once THEAD;

    title();
    aut();
    err();

    echo '<div class="list-group">';

    // Форма редактирования подарка
    echo '<form class="list-group-item" method="post" enctype="multipart/form-data"  action="?category=' . $category['id'] . '&amp;edit_gift=' . $gift['id'] . '&amp;page=' . intval($_GET['page']) . '">';
    echo '<img src="/sys/gift/' . $gift['id'] . '.png" style="max-width:' . $width . 'px;" alt="*" /><br />';
    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Название:</label>";
    echo '<input type="text" name="name" required class="form-control" value="' . htmlspecialchars($gift['name']) . '" />';
    echo '</div>';

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Цена:</label>";
    echo '<input type="text" name="money" required class="form-control" value="' . $gift['money'] . '" style="width:50%;"/>';
    echo '</div>';

    echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-content-save-outline'></i> Сохранить</button>";
    echo '</form>';

    echo '<div class="list-group-item">';
    echo '<a href="?"><i class="mdi mdi-arrow-left"></i> Категории</a> |  <a href="?category=' . $category['id'] . '">' . htmlspecialchars($category['name']) . '</a> | <b>Добавление подарка</b><br />';
    echo '</div>';
    echo '</div>';
} elseif (isset($_GET['add_gift']) && isset($_GET['category'])) {
    /* Добавление подарков */
    $category = dbassoc(dbquery("SELECT * FROM `gift_categories` WHERE `id` = '" . intval($_GET['category']) . "' LIMIT 1"));

    if (!$category) {
        $_SESSION['message'] = 'Нет такой категории';

        header("Location: ?");
        exit;
    }

    if (isset($_POST['name']) && isset($_POST['money']) && isset($_FILES['gift'])) { // Создание записи
        $name = my_esc($_POST['name']);
        $money = intval($_POST['money']);

        if ($money < 1) {
            $err = 'Укажите стоимость подарка';
        }

        if (strlen2($name) < 2) {
            $err = 'Короткое название';
        }

        if (strlen2($name) > 128) {
            $err = 'Длина названия превышает предел в 128 символов';
        }

        if ($_FILES['gift']['size'] <= 0) {
            $err = 'Выберите изображение подарка';
        }

        if (!isset($err)) {
            dbquery("INSERT INTO `gift_list` (`name`, `money`, `id_category`) values('$name', '$money', '$category[id]')");

            $file_id = mysql_insert_id();

            copy($_FILES['gift']['tmp_name'], H . 'sys/gift/' . $file_id . '.png');

            @chmod(H . 'sys/gift/' . $file_id . '.png', 0777);

            $_SESSION['message'] = 'Подарок успешно добавлен';

            header("Location: ?category=" . $category['id']);
            exit;
        }
    }

    $set['title'] = 'Добавление подарка';

    include_once THEAD;

    title();
    aut();
    err();

    echo '<div class="list-group">';

    // Форма создания категории
    echo '<form class="list-group-item" method="post" enctype="multipart/form-data" action="?category=' . $category['id'] . '&amp;add_gift">';
    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Название:</label>";
    echo '<input type="text" required class="form-control" name="name" value="" />';
    echo '</div>';

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Цена (валюта сайта):</label>";
    echo '<input type="text" required class="form-control" name="money" value="" style="width:50%;"/>';
    echo '</div>';

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Подарок:</label>";
    echo '<input name="gift" required class="form-control" accept="image/*,image/png" type="file" />';
    echo '</div>';

    echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Добавить</button>";
    echo '</form>';

    echo '<div class="list-group-item">';
    echo '<a href="?"><i class="mdi mdi-arrow-left"></i> Категории</a> |  <a href="?category=' . $category['id'] . '">' . htmlspecialchars($category['name']) . '</a> | <b>Добавление подарка</b><br />';
    echo '</div>';
    echo '</div>';
} elseif (isset($_GET['category'])) {
    /* Вывод подарков */
    $category = dbassoc(dbquery("SELECT * FROM `gift_categories` WHERE `id` = '" . intval($_GET['category']) . "' LIMIT 1"));

    if (!$category) {
        $_SESSION['message'] = 'Нет такой категории';

        header("Location: ?");
        exit;
    }

    $set['title'] = 'Список подарков';

    include_once THEAD;

    title();
    aut();
    err();

    echo '<div class="list-group">';

    // Список подарков
    $k_post = dbresult(dbquery("SELECT COUNT(id) FROM `gift_list`  WHERE `id_category` = '$category[id]'"), 0);

    if ($k_post == 0) {
        echo '<div class="list-group-item">';
        echo 'Нет подарков';
        echo '</div>';
    }

    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    $q = dbquery("SELECT name,id,money FROM `gift_list` WHERE `id_category` = '$category[id]' ORDER BY `id` LIMIT $start, $set[p_str]");

    while ($post = dbassoc($q)) {
        echo '<div class="list-group-item">';

        echo "<span style='float:right'>";
        echo '<a href="create.php?category=' . $category['id'] . '&amp;edit_gift=' . $post['id'] . '&amp;page=' . $page . '"><i class="mdi mdi-pencil"></i></a> ';
        echo '<a href="create.php?category=' . $category['id'] . '&amp;edit_gift=' . $post['id'] . '&amp;page=' . $page . '&amp;delete"><i class="mdi mdi-delete"></i></a> ';
        echo '</span>';

        echo '<img src="/sys/gift/' . $post['id'] . '.png" style="max-width:' . $width . 'px;" alt="*" /><br />';
        echo '<b>' . htmlspecialchars($post['name']) . '</b> ';
        echo '<span style="color:green"><i class="mdi mdi-cash"></i> ' . $post['money'] . ' ' . $sMonet[0] . '</span>';
        echo '</div>';
    }

    if ($k_page > 1) {
        str('create.php?category=' . intval($_GET['category']) . '&amp;', $k_page, $page);
    } // Вывод страниц

    echo '<div class="list-group-item">';
    echo '<a href="?category=' . $category['id'] . '&amp;add_gift" class="btn btn-primary"><i class="mdi mdi-gift-open-outline"></i> Добавить подарок</a>';
    echo '</div>';

    echo '<div class="list-group-item">';
    echo '<a href="?"><i class="mdi mdi-arrow-left"></i> Категории</a> | <b>' . htmlspecialchars($category['name']) . '</b><br />';
    echo '</div>';
    echo '</div>';
} elseif (isset($_GET['add_category'])) {
    /* Создание категорий */
    if (isset($_POST['name']) && $_POST['name'] != NULL) { // Создание записи
        $name = my_esc($_POST['name']);
        $icon = preg_replace('#[^a-z0-9 _\-\.]#i', null, $_POST['icon']);

        if (strlen2($name) < 2) {
            $err = 'Короткое название';
        }

        if (strlen2($name) > 128) {
            $err = 'Длина названия превышает предел в 128 символов';
        }

        if (!isset($err)) {
            dbquery("INSERT INTO `gift_categories` (`name`,`icon`) values('$name','$icon')");

            $_SESSION['message'] = 'Категория успешно добавлена';

            header("Location: ?");
            exit;
        }
    }

    $set['title'] = 'Создание категорий';

    include_once THEAD;

    title();
    aut();

    err();

    echo '<div class="list-group">';

    // Форма создания категории
    echo '<form class="list-group-item" method="post" action="?add_category">';
    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Название:</label>";
    echo '<input type="text" name="name" required class="form-control" value="" />';
    echo '</div>';

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Иконка: <a href='https://pictogrammers.com/library/mdi/'>" . __('посмотреть иконки') . "</a></label>";
    echo "<div class='input-group mb-3'>";
    echo '<span class="input-group-text" id="basic-addon1">mdi mdi-</span>';
    echo '<input type="text" name="icon" required class="form-control" value="folder-outline" />';
    echo '</div>';
    echo '</div>';
    echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Добавить</button>";
    echo '</form>';

    echo '<div class="list-group-item">';
    echo '<a href="?"><i class="mdi mdi-arrow-left"></i> Категории</a>';
    echo '</div>';
    echo '</div>';
} elseif (isset($_GET['edit_category'])) {
    /* Редактирование категорий */
    $category = dbassoc(dbquery("SELECT * FROM `gift_categories` WHERE `id` = '" . intval($_GET['edit_category']) . "' LIMIT 1"));

    if (!$category) {
        $_SESSION['message'] = 'Нет такой категории';

        header("Location: ?");
        exit;
    }

    if (isset($_POST['name']) && $_POST['name'] != NULL) { // Создание записи
        $name = my_esc($_POST['name']);

        if (strlen2($name) < 2) {
            $err = 'Короткое название';
        }

        if (strlen2($name) > 128) {
            $err = 'Длина названия превышает предел в 128 символов';
        }

        if (!isset($err)) {
            dbquery("UPDATE `gift_categories` SET `name` = '$name' WHERE `id` = '$category[id]'");

            $_SESSION['message'] = 'Категория успешно переименована';

            header("Location: ?");
            exit;
        }
    }

    if (isset($_GET['delete'])) { // Удаление категории
        $q = dbquery("SELECT id FROM `gift_list` WHERE `id_category` = '$category[id]'");

        while ($post = dbassoc($q)) {
            unlink(H . 'sys/gift/' . $post['id'] . '.png');

            dbquery("DELETE FROM `gifts_user` WHERE `id_gift` = '$post[id]'");
        }

        dbquery("DELETE FROM `gift_list` WHERE `id_category` = '$category[id]'");
        dbquery("DELETE FROM `gift_categories` WHERE `id` = '$category[id]' LIMIT 1");

        $_SESSION['message'] = 'Категория успешно удалена';

        header("Location: ?");
        exit;
    }


    $set['title'] = 'Редактирование категории';

    include_once THEAD;

    title();
    aut();
    err();

    echo '<div class="list-group">';
    // Форма редактирования категории
    echo '<form class="list-group-item" method="post" action="?edit_category=' . $category['id'] . '">';
    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Название:</label>";
    echo '<input type="text" name="name" required class="form-control" value="' . htmlspecialchars($category['name']) . '" />';
    echo '</div>';

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Иконка: <a href='https://pictogrammers.com/library/mdi/'>" . __('посмотреть иконки') . "</a></label>";
    echo "<div class='input-group mb-3'>";
    echo '<span class="input-group-text" id="basic-addon1">mdi mdi-</span>';
    echo '<input type="text" name="icon" required class="form-control" value="' . $category['icon'] . '" />';
    echo '</div>';
    echo '</div>';

    echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-content-save-outline'></i> Сохранить</button>";
    echo '</form>';

    echo '<div class="list-group-item">';
    echo '<a href="/user/gift/create.php"><i class="mdi mdi-arrow-left"></i> Категории</a>';
    echo '</div>';
    echo '</div>';
} else {
    /* Вывод категорий */
    $set['title'] = 'Список категорий';

    include_once THEAD;

    title();
    aut();
    err();

    echo '<div class="list-group">';
    // Список категорий
    $k_post = dbresult(dbquery("SELECT COUNT(id) FROM `gift_categories`"), 0);

    if ($k_post == 0) {
        echo '<div class="list-group-item">';
        echo 'Нет категорий';
        echo '</div>';
    }

    $q = dbquery("SELECT name,id,icon FROM `gift_categories` ORDER BY `id`");

    while ($post = dbassoc($q)) {
        echo '<div class="list-group-item">';
        echo "<span style='float:right'>";
        echo ' <a href="create.php?edit_category=' . $post['id'] . '"><i class="mdi mdi-pencil"></i></a> ';
        echo ' <a href="create.php?edit_category=' . $post['id'] . '&amp;delete"><i class="mdi mdi-delete"></i></a> ';
        echo '</span>';
        echo "<a href='create.php?category=$post[id]'><i class='mdi mdi-$post[icon]'></i> " . htmlspecialchars($post['name']) . "</a>";
        echo ' <span class="badge text-bg-light">' . dbresult(dbquery("SELECT COUNT(id) FROM `gift_list` WHERE `id_category` = '$post[id]'"), 0) . '</span>';
        echo '</div>';
    }

    echo '<div class="list-group-item">';
    echo '<a href="?add_category" class="btn btn-primary"><i class="mdi mdi-folder-plus-outline"></i> Создать категорию</a>';
    echo '</div>';
    echo '</div>';
}

include_once TFOOT;
?>