<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

user_access('adm_log_read', null, 'index.php?' . SID);
adm_check();

$set['title'] = 'Действия администрации';

include_once THEAD;

title();
err();
aut();

if (isset($_GET['id'])) {
    $ank = get_user($_GET['id']);
} else {
    $ank = false;
}

if ($ank && user_access('adm_log_read') && ($ank['id'] == $user['id'] || $ank['level'] < $user['level'])) {

    $adm_log_c_all = dbresult(dbquery("SELECT COUNT(*) FROM `admin_log` WHERE `id_user` = '$ank[id]'"), 0);
    $mes = mktime(0, 0, 0, date('m') - 1); // время месяц назад
    $adm_log_c_mes = dbresult(dbquery("SELECT COUNT(*) FROM `admin_log` WHERE `id_user` = '$ank[id]' AND `time` > '$mes'"), 0);

    echo "<div class='alert alert-warning'>";
    echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a> ($ank[group_name])<br />\n";
    echo "Вся активность:$adm_log_c_all<br />\n";
    echo "Активность за месяц: $adm_log_c_mes";
    echo "</div>";
} else {
    $adm_log_c_all = dbresult(dbquery("SELECT COUNT(*) FROM `admin_log`"), 0);
    $mes = mktime(0, 0, 0, date('m') - 1); // время месяц назад
    $adm_log_c_mes = dbresult(dbquery("SELECT COUNT(*) FROM `admin_log` WHERE `time` > '$mes'"), 0);

    echo "<div class='alert alert-warning'>";
    echo "Вся активность: $adm_log_c_all<br />\n";
    echo "Активность за месяц: $adm_log_c_mes";
    echo "</div>";
}

if (isset($_GET['id_mod']) && isset($_GET['id_act']) && dbresult(dbquery("SELECT COUNT(*) FROM `admin_log` WHERE `mod` = '" . intval($_GET['id_mod']) . "' AND `act` = '" . intval($_GET['id_act']) . "'" . ($ank ? " AND `id_user` = '$ank[id]'" : null)), 0) != 0) {
    $mod = dbassoc(dbquery("SELECT * FROM `admin_log_mod` WHERE `id` = '" . intval($_GET['id_mod']) . "' LIMIT 1"));
    $act = dbassoc(dbquery("SELECT * FROM `admin_log_act` WHERE `id` = '" . intval($_GET['id_act']) . "' LIMIT 1"));
    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `admin_log` WHERE `mod` = '$mod[id]' AND `act` = '$act[id]'" . ($ank ? " AND `admin_log`.`id_user` = '$ank[id]'" : null)), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    echo "<div class='list-group'>";

    if ($k_post == 0) {
        echo "<div class='list-group-item'>\n";
        echo "Нет действий\n";
        echo "</div>";
    }

    $q = dbquery("SELECT * FROM `admin_log` WHERE `mod` = '$mod[id]' AND `act` = '$act[id]'" . ($ank ? " AND `admin_log`.`id_user` = '$ank[id]'" : null) . " ORDER BY id DESC LIMIT $start, $set[p_str]");

    while ($post = dbassoc($q)) {
        $ank2 = get_user($post['id_user']);

        echo "<div class='list-group-item'>\n";
        echo "<a href='/info.php?id=$ank2[id]'>$ank2[nick]</a>" . online($ank2['id']) . " (" . vremja($post['time']) . ")<br />\n";

        echo output_text($post['opis']) . "\n";
        echo "</div>\n";
    }


    if ($k_page > 1) {
        str('?id_mod=' . $mod['id'] . '&amp;id_act=' . $act['id'] . '&amp;', $k_page, $page);
    } // Вывод страниц

    echo "<div class='list-group-item'>\n";
    echo "<a href='?id_mod=$mod[id]" . ($ank ? "&amp;id=$ank[id]" : null) . "'><i class='mdi mdi-arrow-u-left-top'></i> Список действий</a><br />\n";
    echo "</div>\n";
    
    echo "<div class='list-group-item'>\n";
    echo "<a href='?$passgen" . ($ank ? "&amp;id=$ank[id]" : null) . "'><i class='mdi mdi-arrow-u-left-top'></i> Список модулей</a><br />\n";
    echo "</div>\n";
    
    echo "</div>\n";
} elseif (isset($_GET['id_mod']) && dbresult(dbquery("SELECT COUNT(*) FROM `admin_log` WHERE `mod` = '" . intval($_GET['id_mod']) . "'" . ($ank ? " AND `id_user` = '$ank[id]'" : null)), 0) != 0) {
// действия в модуле
    $mod = dbassoc(dbquery("SELECT * FROM `admin_log_mod` WHERE `id` = '" . intval($_GET['id_mod']) . "' LIMIT 1"));
    $q = dbquery("SELECT `admin_log_act`.`name`, `admin_log_act`.`id`, COUNT(`admin_log`.`id`) AS `count` FROM `admin_log` LEFT JOIN `admin_log_act` ON `admin_log`.`act` = `admin_log_act`.`id` WHERE `admin_log`.`mod` = '$mod[id]'" . ($ank ? " AND `admin_log`.`id_user` = '$ank[id]'" : null) . " GROUP BY `admin_log`.`act`");

    echo "<div class='list-group'>";

    if (dbrows($q) == 0) {
        echo "<div class='list-group-item'>\n";
        echo "Нет действий в модуле '$mod[name]'";
        echo "</div>\n";
    }

    while ($act = dbassoc($q)) {
        echo "<div class='list-group-item'>\n";
        echo "<a href='?id_mod=$mod[id]&amp;id_act=$act[id]" . ($ank ? "&amp;id=$ank[id]" : null) . "'><i class='mdi mdi-chevron-right'></i> $act[name]</a> <span class='badge bg-secondary' style='float:right;'>$act[count]</span>\n";
        echo "</div>\n";
    }

    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='?$passgen" . ($ank ? "&amp;id=$ank[id]" : null) . "'><i class='mdi mdi-arrow-u-left-top'></i> Список модулей</a><br />\n";
    echo "</div>\n";
    echo "</div>\n";
} else {
// действия по модулям
    $q = dbquery("SELECT `admin_log_mod`.`name`, `admin_log_mod`.`id`, COUNT(`admin_log`.`id`) AS `count` FROM `admin_log` LEFT JOIN `admin_log_mod` ON `admin_log`.`mod` = `admin_log_mod`.`id`" . ($ank ? " WHERE `admin_log`.`id_user` = '$ank[id]'" : null) . " GROUP BY `admin_log`.`mod`");

    echo "<div class='list-group'>";
    if (dbrows($q) == 0) {
        echo "<div class='list-group-item'>\n";
        echo "Нет действий в модулях";
        echo "</div>\n";
    }

    while ($mod = dbassoc($q)) {
        echo "<div class='list-group-item'>\n";
        echo "<a href='?id_mod=$mod[id]" . ($ank ? "&amp;id=$ank[id]" : null) . "'><i class='mdi mdi-chevron-right'></i> $mod[name]</a> <span class='badge bg-secondary' style='float:right;'>$mod[count]</span>\n";
        echo "</div>\n";
    }

    echo "</div>\n";
}

if (user_access('adm_panel_show')) {

    echo "<div class='br'></div>";
    echo "<div class='list-group'>";

    if (user_access('adm_show_adm')) {
        echo "<div class='list-group-item list-group-item-light'>\n";
        echo "<a href='administration.php'><i class='mdi mdi-arrow-left'></i> Администрация</a><br />\n";
        echo "</div>\n";
    }
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='/adm_panel/'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />\n";
    echo "</div>\n";
    echo "</div>\n";
}
include_once TFOOT;
