<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
$temp_set = $set;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;
adm_check();

$set['title'] = 'Настройки системы';

if (isset($_POST['save'])) {

    $temp_set['title'] = esc(stripcslashes(htmlspecialchars($_POST['title'])), 1);
    $temp_set['mail_backup'] = esc($_POST['mail_backup']);
    $temp_set['p_str'] = intval($_POST['p_str']);
    dbquery("ALTER TABLE `user` CHANGE `set_p_str` `set_p_str` INT( 11 ) DEFAULT '$temp_set[p_str]'");

    if (!preg_match('#\.\.#', $_POST['set_them']) && is_dir(H . 'style/themes/' . $_POST['set_them'])) {
        $temp_set['set_them'] = $_POST['set_them'];
        dbquery("ALTER TABLE `user` CHANGE `set_them` `set_them` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '$temp_set[set_them]'");
    }

    if (!preg_match('#\.\.#', $_POST['set_them2']) && is_dir(H . 'style/themes/' . $_POST['set_them2'])) {
        $temp_set['set_them2'] = $_POST['set_them2'];
        dbquery("ALTER TABLE `user` CHANGE `set_them2` `set_them2` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '$temp_set[set_them2]'");
    }

    if ($_POST['show_err_php'] == 1 || $_POST['show_err_php'] == 0) {
        $temp_set['show_err_php'] = intval($_POST['show_err_php']);
    }

    if (isset($_POST['antidos']) && $_POST['antidos'] == 1) {
        $temp_set['antidos'] = 1;
    } else {
        $temp_set['antidos'] = 0;
    }

    if (isset($_POST['antimat']) && $_POST['antimat'] == 1) {
        $temp_set['antimat'] = 1;
    } else {
        $temp_set['antimat'] = 0;
    }

    $temp_set['meta_keywords'] = esc(stripcslashes(htmlspecialchars($_POST['meta_keywords'])), 1);
    $temp_set['background'] = esc(stripcslashes(htmlspecialchars($_POST['background'])), 1);
    $temp_set['meta_description'] = esc(stripcslashes(htmlspecialchars($_POST['meta_description'])), 1);
    $temp_set['toolbar'] = intval($_POST['toolbar']);
    $temp_set['exit'] = intval($_POST['exit']);
    $temp_set['timeadmin'] = intval($_POST['timeadmin']);
    $temp_set['job'] = intval($_POST['job']);
    $temp_set['replace'] = intval($_POST['replace']);

    if ($_POST['replace'] != 1) {
        
    }

    $temp_set['main'] = esc(stripcslashes(htmlspecialchars(($_POST['main']))));
    $temp_set['header'] = esc(stripcslashes(htmlspecialchars(($_POST['header']))));

    if (save_settings($temp_set)) {
        admin_log('Настройки', 'Система', 'Изменение системных настроек');
        msg2('Настройки успешно приняты');
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }

    header("Location: " . $_SERVER ["REQUEST_URI"]);
    exit();
}

include_once THEAD;

title();
err();
aut();

echo "<div class='list-group'>";
echo "<form method=\"post\" class='list-group-item' action=\"?\">\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Название сайта:</label>\n";
echo "<input name=\"title\" class='form-control' value=\"$temp_set[title]\" type=\"text\" />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Пунктов на страницу:</label>\n";
echo "<input name=\"p_str\" class='form-control' value=\"$temp_set[p_str]\" type=\"text\" />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Главная страница:</label>\n";
echo "<input name=\"main\" class='form-control' value=\"" . setget('main', "") . "\" type=\"text\" />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Admin Toolbar:</label>\n";
echo "<select name='toolbar' class='form-control'>
  <option " . (setget('toolbar', 1) == 1 ? " selected " : null) . " value='1'>Да</option>
  <option " . (setget('toolbar', 1) == 0 ? " selected " : null) . " value='0'>Нет</option>
</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Время жизни админ сессии:</label>\n";
echo "<input name=\"timeadmin\" class='form-control' value='" . setget('timeadmin', 1000) . "' type=\"text\" />\n";
echo "</div>\n";

/*

  echo "<div class='mb-3'>";
  echo "<label class='form-label'>Фон сайта:</label>\n";
  echo '<input type="color"  name="background" value="'.setget('background').'">';
  echo "</div>\n";
 */

echo "<div class='mb-3'>";
echo "<label class='form-label'>Работа сайта:</label>\n";
echo "<select name='job' class='form-control'>
  <option " . (setget('job', 1) == 1 ? " selected " : null) . " value='1'>Включено</option>
  <option " . (setget('job', 1) == 0 ? " selected " : null) . " value='0'>Выключено</option>
</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Выход с подтверждением:</label>\n";
echo "<select name='exit' class='form-control'>
  <option " . (setget('exit', 1) == 1 ? " selected " : null) . " value='1'>Да</option>
  <option " . (setget('exit', 1) == 0 ? " selected " : null) . " value='0'>Нет</option>
</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Шапка сайта:</label>\n";
echo "<select name='header' class='form-control'>
  <option " . (setget('header', "index") == "index" ? " selected " : null) . " value='index'>Только на главной</option>
  <option " . (setget('header', "all") == "all" ? " selected " : null) . " value='all'>На всех страницах</option>
</select>\n";
echo "</div>\n";

/*
  echo "Установка плагинов через папку /Replace/:<br />\n

  <select name='replace' class='form-control'>
  <option ".(setget('replace',1)==1? " selected ":null)." value='1'>Включено</option>
  <option ".(setget('replace',1)==0? " selected ":null)." value='0'>Отключено</option>
  </select>

  <br />\n";

 */

echo "<div class='mb-3'>";
echo "<label class='form-label'>Тема (WAP):</label>\n";
echo "<select name='set_them' class='form-control'>\n";

$opendirthem = opendir(H . 'style/themes');

while ($themes = readdir($opendirthem)) {
// пропускаем корневые папки и файлы
    if ($themes == '.' || $themes == '..' || !is_dir(H . "style/themes/$themes")) {
        continue;
    }
// пропускаем темы для web браузеров
    if (test_file2(H . "style/themes/$themes/.only_for_web")) {
        continue;
    }
    echo "<option value='$themes'" . ($temp_set['set_them'] == $themes ? " selected='selected'" : null) . ">" . trim(file_get_contents(H . 'style/themes/' . $themes . '/them.name')) . "</option>\n";
}
closedir($opendirthem);

echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Тема (WEB):</label>\n";
echo "<select name='set_them2' class='form-control'>\n";
$opendirthem = opendir(H . 'style/themes');

while ($themes = readdir($opendirthem)) {
// пропускаем корневые папки и файлы
    if ($themes == '.' || $themes == '..' || !is_dir(H . "style/themes/$themes")) {
        continue;
    }
// пропускаем темы для wap браузеров
    if (file_exists(H . "style/themes/$themes/.only_for_wap")) {
        continue;
    }
    echo "<option value='$themes'" . ($temp_set['set_them2'] == $themes ? " selected='selected'" : null) . ">" . trim(file_get_contents(H . 'style/themes/' . $themes . '/them.name')) . "</option>\n";
}
closedir($opendirthem);

echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Ключевые слова (META):</label>\n";
echo "<textarea class='form-control' name='meta_keywords'>$temp_set[meta_keywords]</textarea>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Описание (META):</label>\n";
echo "<textarea class='form-control' name='meta_description'>$temp_set[meta_description]</textarea>\n";
echo "</div>\n";

echo "<label><input type='checkbox'" . ($temp_set['antidos'] ? " checked='checked'" : null) . " class='form-check-input' name='antidos' value='1' /> Анти-Dos*</label><br />\n";
echo "<label><input type='checkbox'" . ($temp_set['antimat'] ? " checked='checked'" : null) . " class='form-check-input' name='antimat' value='1' /> Анти-Мат</label><br />\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Ошибки интерпретатора:</label>\n";
echo "<select name=\"show_err_php\" class='form-control'>\n";
echo "<option value='0'" . ($temp_set['show_err_php'] == 0 ? " selected='selected'" : null) . ">Скрывать</option>\n";
echo "<option value='1'" . ($temp_set['show_err_php'] == 1 ? " selected='selected'" : null) . ">Показывать администрации</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>E-mail для BackUp:</label>\n";
echo "<input type='text' class='form-control' name='mail_backup' value='$temp_set[mail_backup]'  />\n";
echo "</div>\n";

echo "* Анти-Dos - защита от частых запросов с одного IP-адреса<br />\n";
echo "<button type='submit' name='save' class='btn btn-success'><i class='mdi mdi-content-save-outline'></i> Сохранить изменения</button>\n";
echo "</form>\n";

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='/adm_panel/'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />\n";
    echo "</div>\n";
}
echo "</div>\n";

include_once TFOOT;
