<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;

/* Бан пользователя */
if (dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'forum' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

$searched = &$_SESSION['searched'];

if (!isset($searched) || isset($_GET['newsearch']) || isset($_GET['null'])) {
    // зануляем весь запрос 
    $searched['in'] = array('m' => null);
    $searched['text'] = null;
    $searched['query'] = null;
    $searched['sql_query'] = null;
    $searched['result'] = array();
    $searched['mark'] = array();
}


if (isset($_GET['newsearch'])) {
    include 'inc/search_act.php';
}

// Заголовок страницы 
$set['title'] = 'Форум - Поиск';

include_once THEAD;

title();
aut(); // форма авторизации 
err();

if (isset($_GET['newsearch'])) {
    if (count($searched['result']) != 0) {
        msg('По запросу "' . htmlentities($searched['text'], ENT_QUOTES, 'UTF-8') . '" найдено совпадений:' . count($searched['result']));
    } elseif (!isset($err)) {
        msg('По запросу "' . htmlentities($searched['text'], ENT_QUOTES, 'UTF-8') . '" ничего не найдено');
    }
}

$res = $searched['result'];
echo '<div class="list-group">';

if (count($res) != 0) {
    $k_post = count($res);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    $end = min($set['p_str'] * $page, $k_post);

    for ($i = $start; $i < $end; $i++) {
        $them = $res[$i];

        if (dbresult(dbquery("SELECT COUNT(*) FROM `forum_p` WHERE `id_them` = '$them[id]'"), 0) == $them['k_post']) {
            // Определение подфорума 
            $forum = dbarray(dbquery("SELECT * FROM `forum_f` WHERE `id` = '$them[id_forum]' LIMIT 1"));

            // Определение раздела 
            $razdel = dbarray(dbquery("SELECT * FROM `forum_r` WHERE `id` = '$them[id_razdel]' LIMIT 1"));

            echo '<div class="list-group-item">';

            if ($them['close'] == 1) {
                $closed = '<i class="mdi mdi-pencil-lock-outline" style="color:red"></i> ';
            } else {
                $closed = null;
            }
            if ($them['up'] == 1) {
                $up = '<i class="mdi mdi-transfer-up" style="color:green"></i> ';
            } else {
                $up = null;
            }
            echo $up . " ";

            // Ссылка на тему 
            echo '<a href="/forum/' . $forum['id'] . '/' . $razdel['id'] . '/' . $them['id'] . '/">' . text($them['name']) . '</a> 
            <a href="/forum/' . $forum['id'] . '/' . $razdel['id'] . '/' . $them['id'] . '/?page=' . $pageEnd . '"> 
            <span class="badge rounded-pill text-bg-secondary" style="float:right;"><i class="mdi mdi-comment-outline"></i> ' . dbresult(dbquery("SELECT COUNT(*) FROM `forum_p` WHERE `id_forum` = '$forum[id]' AND `id_razdel` = '$razdel[id]' AND `id_them` = '$them[id]'"), 0) . '</span></a><br/>';

            // Подфорум и раздел 
            echo '<b><a href="/forum/' . $forum['id'] . '/">' . text($forum['name']) . '</a> > <a href="/forum/' . $forum['id'] . '/' . $razdel['id'] . '/">' . text($razdel['name']) . '</a></b><br />';

            // Автор темы 
            $ank = get_user($them['id_user']);
            echo 'Автор: <a href="/info.php?id=' . $ank['id'] . '">' . $ank['nick'] . '</a> (' . vremja($them['time_create']) . ') > ';

            // Последний пост  
            $post = dbarray(dbquery("SELECT * FROM `forum_p` WHERE `id_them` = '$them[id]' AND `id_razdel` = '$razdel[id]' AND `id_forum` = '$forum[id]' ORDER BY `time` DESC LIMIT 1"));

            // Автор последнего поста 
            if (isset($post['id_user'])) {
                $ank2 = get_user($post['id_user']);
                echo 'Посл.: <a href="/info.php?id=' . $ank2['id'] . '">' . $ank2['nick'] . '</a> (' . vremja($post['time']) . ')';
            }

            echo '</div>';
        } else {
            echo esc(br(bbcode(preg_replace($searched['mark'], "<span class='search_cit'>1</span>", htmlentities($them['msg'], ENT_QUOTES, 'UTF-8'))))) . "\n";
            echo "Всего совпадений: " . $them['k_post'] . "\n";
        }
    }


    if ($k_page > 1) {
        str('?', $k_page, $page);
    } // Вывод страниц 
} else {
    include 'inc/search_form.php';
}


// Меню возврата 
echo '<div class="list-group-item">';
if (count($searched['result']) != 0) {
    echo '<a href="?null=' . $passgen . '" class="btn btn-outline-success btn-sm"><i class="mdi mdi-magnify"></i> Новый поиск</a><br /> ';
}
echo '<a href="/forum/"><i class="mdi mdi-arrow-left"></i> Форум</a> | <b>Поиск по форуму</b>';
echo '</div>';
echo '</div>';

include_once TFOOT;
?>