<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;

// Если нет id шлем на главную
if (!isset($_GET['id']) && !is_numeric($_GET['id'])) {
    header("Location: index.php?" . SID);
    exit;
}

// Cуществование новости
if (dbresult(dbquery("SELECT COUNT(*) FROM `news` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1", $db), 0) == 0) {
    header("Location: index.php?" . SID);
    exit;
}

// Определение записи новости
$news = dbassoc(dbquery("SELECT * FROM `news` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1"));

// Автор новости
$author = get_user($news['id_user']);

// Отмечаем уведомления
if (isset($user)) {
    dbquery("UPDATE `notification` SET `read` = '1' WHERE `type` = 'news_komm' AND `id_user` = '$user[id]' AND `id_object` = '$news[id]'");
}


/* Мне нравится */
if (isset($user) && isset($_GET['like']) && ($_GET['like'] == 1 || $_GET['like'] == 0) && dbresult(dbquery("SELECT COUNT(*) FROM `like_object` WHERE `id_object` = '$news[id]' AND `type` = 'news' AND `id_user` = '$user[id]'"), 0) == 0) {
    dbquery("INSERT INTO `like_object` (`id_user`, `id_object`, `type`, `like`) VALUES ('$user[id]', '$news[id]', 'news', '" . abs(intval($_GET['like'])) . "')");

    // Начисление баллов за активность
    include_once check_replace(H . 'sys/add/user.active.php');
}

// Комментарий 
if (isset($_POST['msg']) && isset($user)) {
    $msg = $_POST['msg'];
    $mat = antimat($msg);

    if ($mat) {
        $err[] = 'В тексте сообщения обнаружен мат: ' . $mat;
    }

    if (strlen2($msg) > 1024) {
        $err = 'Сообщение слишком длинное';
    } elseif (strlen2($msg) < 2) {
        $err = 'Короткое сообщение';
    } elseif (dbresult(dbquery("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '" . intval($_GET['id']) . "' AND `id_user` = '$user[id]' AND `msg` = '" . my_esc($msg) . "' LIMIT 1"), 0) != 0) {
        $err = 'Ваше сообщение повторяет предыдущее';
    } elseif (!isset($err)) {
        dbquery("INSERT INTO `news_komm` (`id_user`, `time`, `msg`, `id_news`) values('$user[id]', '$time', '" . my_esc($msg) . "', '" . intval($_GET['id']) . "')");

        // Начисление баллов за активность
        include_once H . 'sys/add/user.active.php';

        /* Уведомления об ответах */

        if (isset($ank_reply['id'])) {
            $notifiacation = dbassoc(dbquery("SELECT * FROM `notification_set` WHERE `id_user` = '" . $ank_reply['id'] . "' LIMIT 1"));

            if ($notifiacation['komm'] == 1 && $ank_reply['id'] != $user['id']) {
                dbquery("INSERT INTO `notification` (`avtor`, `id_user`, `id_object`, `type`, `time`) VALUES ('$user[id]', '$ank_reply[id]', '$news[id]', 'news_komm', '$time')");
            }
        }

        $_SESSION['message'] = 'Ваш комментарий успешно принят';
        header('Location: ?id=' . intval($_GET['id']) . '&page=' . intval($_GET['page']));
        exit;
    }
}


$set['title'] = 'Новости - ' . text($news['title']);

include_once THEAD;
title();
aut();
err();

echo '<div class="list-group">';

// Название
echo '<div class="list-group-item" id="news_title">';
echo '<h4> ' . text($news['title']) . '</h4>';

echo output_text($news['msg']) . "<br />";
// Автор 
echo '<small style="color:grey">Опубликовал' . ($author['pol'] == 0 ? 'а' : null) . ': '
 . group($author['id'])
 . user::nick($author['id']);
echo "</small>";
echo "</div>";

// Мне нравится и автор
echo '<div class="list-group-item" id="like">';
if (isset($user) && dbresult(dbquery("SELECT COUNT(*) FROM `like_object` WHERE `id_object` = '$news[id]' AND `type` = 'news' AND `id_user` = '$user[id]'"), 0) == 0) {
    echo '<a href="?id=' . $news['id'] . '&amp;like=1" class="btn btn-outline-success btn-sm"><i class="mdi mdi-thumb-up-outline"></i> Мне нравится</a> ';
    echo '<a href="?id=' . $news['id'] . '&amp;like=0" class="btn btn-outline-secondary btn-sm"><i class="mdi mdi-thumb-down-outline"></i> Не нравится</a> ';
} else {
    echo '<span class="btn btn-outline-success btn-sm"><i class="mdi mdi-thumb-up"></i> Мне нравится ' . dbresult(dbquery("SELECT COUNT(*) FROM `like_object` WHERE `id_object` = '$news[id]' AND `type` = 'news' AND `like` = '1'"), 0) . '</span> ';
    echo '<span class="btn btn-outline-secondary btn-sm"><i class="mdi mdi-thumb-down"></i> Не нравится ' . dbresult(dbquery("SELECT COUNT(*) FROM `like_object` WHERE `id_object` = '$news[id]' AND `type` = 'news' AND `like` = '0'"), 0) . '</span>';
}

echo '<br />';
echo '</div>';

// Панелька управления
if (user_access('adm_news')) {
    echo '<div class="list-group-item" id="news_edit">';
    echo '<a href="edit.php?id=' . $news['id'] . '" class="badge text-bg-secondary"><i class="mdi mdi-pencil-box-outline"></i> Редактировать</a> ';
    echo '<a href="delete.php?news_id=' . $news['id'] . '" class="badge text-bg-secondary"><i class="mdi mdi-delete-outline"></i> Удалить</a> ';
    echo '</div>';
}

$listr = dbassoc(dbquery("SELECT * FROM `news` WHERE `id` < '$news[id]' ORDER BY `id` DESC LIMIT 1"));
$list = dbassoc(dbquery("SELECT * FROM `news` WHERE `id` > '$news[id]' ORDER BY `id`  ASC LIMIT 1"));

echo '<div class="list-group-item" style="text-align: center;">';
if (isset($list['id'])) {
    echo '<span class="page">' . ($list['id'] ? '<a href="?id=' . $list['id'] . '">&laquo; Пред.</a> ' : '&laquo; Пред. ') . '</span>';
}

$k_1 = dbresult(dbquery("SELECT COUNT(*) FROM `news` WHERE `id` > '$news[id]'"), 0) + 1;
$k_2 = dbresult(dbquery("SELECT COUNT(*) FROM `news`"), 0);
echo ' (' . $k_1 . ' из ' . $k_2 . ') ';

if (isset($list['id'])) {
    echo '<span class="page">' . ($listr['id'] ? '<a href="?id=' . $listr['id'] . '">След. &raquo;</a>' : ' След. &raquo;') . '</span>';
}
echo '</div>';

echo '<div class="list-group-item list-group-item-secondary" id="news_komm">';
echo "Комментарии: " . dbresult(dbquery("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '" . intval($_GET['id']) . "'"), 0);
echo '</div>';

// Колличество комментариев
$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '" . intval($_GET['id']) . "' "), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

// Выборка постов
$q = dbquery("SELECT * FROM `news_komm` WHERE `id_news` = '" . intval($_GET['id']) . "' ORDER BY `id` $sort LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    echo '<div class="list-group-item">';
    echo 'Нет сообщений';
    echo '</div>';
} else {
    /* сортировка по времени */
    if (isset($user)) {
        echo "<div class=\"list-group-item\">\n";
        echo "<div id='comments' class='nav nav-tabs' style='margin-bottom:-9px'>";
        echo "<div class='nav-item'>";
        echo "<a href='?id=$news[id]&amp;page=$page&amp;sort=1' class='" . ($user['sort'] == 1 ? 'nav-link active' : 'nav-link') . "'>Внизу</a>";
        echo "</div>";

        echo "<div class='nav-item'>";
        echo "<a href='?id=$news[id]&amp;page=$page&amp;sort=0' class='" . ($user['sort'] == 0 ? 'nav-link active' : 'nav-link') . "'>Вверху</a>";
        echo "</div>";
        echo "</div>";
        echo "</div>";
    }
}


while ($post = dbassoc($q)) {
    $ank = dbassoc(dbquery("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

    echo '<div class="list-group-item">';

    echo group($ank['id']) . user::nick($ank['id']);
    echo medal($ank['id']) . online($ank['id']) . ' <br />';

    echo output_text($post['msg']) . '<br />';

    echo '<small style="color:grey">' . vremja($post['time']) . ' ';
    if (isset($user) && $user['id'] != $ank['id']) {
        echo ' &ensp; <a href="?id=' . $news['id'] . '&amp;page=' . $page . '&amp;response=' . $ank['id'] . '">Ответить</a> ';
    }
    if (isset($user) && ($user['level'] > $ank['level'] || $user['level'] != 0 && $user['id'] == $ank['id'])) {
        echo '<a rel="delete" href="delete.php?id=' . $post['id'] . '">Удалить</a>';
    }
    echo '</small>';

    echo '</div>';
}


// Вывод страниц
if ($k_page > 1) {
    str("news.php?id=" . intval($_GET['id']) . '&amp;', $k_page, $page);
}

// Форма для комментариев
if (isset($user)) {
    echo '<form method="post" name="message" class="list-group-item" action="?id=' . intval($_GET['id']) . '&amp;page=' . $page . REPLY . '">';
    echo "<div class='mb-3'>";
    echo $tPanel . '<textarea name="msg" class="form-control">' . $insert . '</textarea>';
    echo '</div>';
    echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Опубликовать</button>\n";

    echo '</form>';
}


echo '<div class="list-group-item">';
echo '<a href="index.php"><i class="mdi mdi-arrow-left"></i> К новостям</a><br />';
echo '</div>';
echo '</div>';

include_once TFOOT;
?>