<?php

include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once '../../sys/inc/adm_check.php';
include_once USER;

/* Бан пользователя */
if (dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'notes' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

$set['title'] = 'Новый блог';
include_once THEAD;
title();

echo "<div class='list-group'>\n";

if (!isset($user)) {
    header("location: index.php?");
}

if (isset($_POST['title']) && isset($_POST['msg'])) {
    if (($user['rating'] < 2 || $user['group_access'] < 6)) {
        if (!isset($_SESSION['captcha'])) {
            $err[] = 'Ошибка проверочного числа';
        }
        if (!isset($_POST['chislo'])) {
            $err[] = 'Введите проверочное число';
        } elseif ($_POST['chislo'] == null) {
            $err[] = 'Введите проверочное число';
        } elseif ($_POST['chislo'] != $_SESSION['captcha']) {
            $err[] = 'Проверьте правильность ввода проверочного числа';
        }
    }

    if (!isset($err)) {
        if (empty($_POST['title'])) {
            $title = esc(stripslashes(htmlspecialchars(substr($_POST['msg'], 0, 24)))) . ' ...';
            $title = my_esc($title);
        } else {
            $title = my_esc($_POST['title']);
        }

        $msg = my_esc($_POST['msg']);
        $id_dir = intval($_POST['id_dir']);

        if (isset($_POST['private'])) {
            $privat = intval($_POST['private']);
        } else {
            $privat = 0;
        }
        if (isset($_POST['private_komm'])) {
            $privat_komm = intval($_POST['private_komm']);
        } else {
            $privat_komm = 0;
        }

        $type = 0;

        if (strlen2($title) > 32) {
            $err = 'Название не может превышать больше 32 символов';
        }
        if (strlen2($msg) > 30000) {
            $err = 'Содержание не может превышать больше 30000 символов';
        }
        if (strlen2($msg) < 2 && $type == 0) {
            $err = 'Содержание слишком короткое';
        }

        if (!isset($err)) {
            dbquery("INSERT INTO `notes` (`time`, `msg`, `name`, `id_user`, `private`, `private_komm`, `id_dir`, `type`) values('$time', '$msg', '$title', '{$user['id']}', '$privat', '$privat_komm', '$id_dir', '$type')");

            $st = mysql_insert_id();

            if ($privat != 2) {
                dbquery("insert into `stena`(`id_stena`,`id_user`,`time`,`info`,`info_1`,`type`) values('" . $user['id'] . "','" . $user['id'] . "','" . $time . "','новый блог','" . $st . "','note')");
            }
            /* Лента */

            $q = dbquery("SELECT * FROM `frends` WHERE `user` = '" . $user['id'] . "' AND `i` = '1'");

            while ($f = dbarray($q)) {
                $a = get_user($f['frend']);
                $lentaSet = dbarray(dbquery("SELECT * FROM `tape_set` WHERE `id_user` = '" . $a['id'] . "' LIMIT 1")); // Общая настройка ленты

                if ($f['lenta_notes'] == 1 && $lentaSet['lenta_notes'] == 1) { // фильтр рассылки
                    dbquery("INSERT INTO `tape` (`id_user`,`avtor`, `type`, `time`, `id_file`) values('$a[id]', '$user[id]', 'notes', '$time', '$st')");
                }
            }

            dbquery("OPTIMIZE TABLE `notes`");

            $_SESSION['message'] = 'Блог успешно создан';
            header("Location: list.php?id=$st");

            $_SESSION['captcha'] = NULL;
            exit;
        }
    }
}

if (isset($_GET['id_dir'])) {
    $id_dir = intval($_GET['id_dir']);
} else {
    $id_dir = 0;
}

err();
aut();

if (isset($_POST["msg"])) {
    $msg = output_text($_POST["msg"]);
}

echo "<form method=\"post\" class='list-group-item' name=\"message\" action=\"add.php\">\n";
echo "<div class='mb-3'>";
echo "<label class='form-label'>Название:</label>";
echo "<input name=\"title\" required class='form-control' maxlength=\"32\" value=\"\" type=\"text\" />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Сообщение: $tPanel</label>";
echo "<textarea name=\"msg\" required class='form-control'></textarea>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Категория:</label>";
echo "<select name='id_dir' class='form-control'>\n";
$q = dbquery("SELECT * FROM `notes_dir` ORDER BY `id` DESC");
echo "<option value='0'" . ($id_dir == 0 ? " selected='selected'" : null) . "><b>Без категории</b></option>\n";

while ($post = dbassoc($q)) {
    echo "<option value='$post[id]'" . ($id_dir == $post['id'] ? " selected='selected'" : null) . ">" . text($post['name']) . "</option>\n";
}

echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-check-label'>Могут смотреть:</label>";

echo "<div class='form-check'>";
echo "<input name='private' type='radio' value='0' class='form-check-input' checked='checked'/>Все ";
echo "</div>\n";

echo "<div class='form-check'>";
echo "<input name='private' type='radio' value='1' class='form-check-input'/>Друзья ";
echo "</div>\n";

echo "<div class='form-check'>";
echo "<input name='private' type='radio' value='2' class='form-check-input'/>Только я";
echo "</div>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-check-label'>Могут комментировать:</label>";

echo "<div class='form-check'>";
echo "<input name='private_komm' type='radio' value='0' class='form-check-input' checked='checked'/>Все ";
echo "</div>\n";

echo "<div class='form-check'>";
echo "<input name='private_komm' type='radio' value='1' class='form-check-input'/>Друзья ";
echo "</div>\n";

echo "<div class='form-check'>";
echo "<input name='private_komm' type='radio' value='2' class='form-check-input'/>Только я";
echo "</div>\n";
echo "</div>\n";

if ($user['rating'] < 6 || $user['group_access'] < 6) {
    echo "<input name='chislo' size='5' maxlength='5' value='' type='text' /> <img src='/captcha.php?SESS=$sess' width='100' height='30' alt='Проверочное число' /><br />\n\n";
}

echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Создать</button>";
echo "</form>\n";

echo "<div class='list-group-item'>\n";
echo "<a href='index.php'><i class='mdi mdi-arrow-left'></i> Блоги</a>\n";
echo "</div>\n";
echo "</div>\n";

include_once TFOOT;
