<?php

include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once '../../sys/inc/adm_check.php';
include_once USER;

if (isset($user) && $user['level'] < 3) {
    header("Location: /");
}

$set['title'] = 'Добавление записи';

include_once THEAD;

aut();
title();

echo '<div class="list-group">';

if (isset($_GET['post'])) {
    if (isset($_POST['title'])) {
        $title = esc($_POST['title'], 1);
        $pos = dbresult(dbquery("SELECT MAX(`pos`) FROM `rules`"), 0) + 1;

        if (!isset($err)) {
            dbquery("INSERT INTO `rules` (`type`, `time`, `title`, `id_user`, `pos`) values('razd', '$time', '$title', '$user[id]', '$pos')");
            dbquery("OPTIMIZE TABLE `rules`");

            $_SESSION['message'] = 'Пункт успешно добавлен';

            header("Location: index.php?");
            exit;
        }
    }

    err();

    echo '<form method="post" class="list-group-item" action=""new.php?post">';
    echo 'Пункт (папка):<br /><input name="title" required class="form-control" size="16" maxlength="32" value="" type="text" /><br />';
    echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Добавить</button>";
    echo '</form>';
}

if (isset($_GET['msg'])) {
    if (isset($_POST['msg'])) {
        $msg = esc($_POST['msg'], 1);
        $pos = dbresult(dbquery("SELECT MAX(`pos`) FROM `rules`"), 0) + 1;

        if (strlen2($msg) > 1024) {
            $err[] = 'Текст слишком длинный';
        } elseif (strlen2($msg) < 2) {
            $err[] = 'Текст слишком короткий';
        }
        if (!isset($err)) {
            dbquery("INSERT INTO `rules` (`type`, `time`, `msg`, `id_user`, `pos`) values('msg','$time', '$msg', '$user[id]', '$pos')");
            dbquery("OPTIMIZE TABLE `rules`");

            $_SESSION['message'] = 'Текст успешно добавлен';

            header("Location: index.php?");
            exit;
        }
    }

    err();

    echo '<form method="post" class="list-group-item" action="new.php?msg">';
    echo 'Текст:<br /><textarea class="form-control" required name="msg" ></textarea><br />';
    echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Добавить</button>";
    echo '</form>';
}

if (isset($_GET['url'])) {
    if (isset($_POST['url']) && isset($_POST['name_url'])) {
        $url = esc($_POST['url'], 1);
        $name_url = esc($_POST['name_url'], 1);
        $pos = dbresult(dbquery("SELECT MAX(`pos`) FROM `rules`"), 0) + 1;

        if (!isset($err)) {
            dbquery("INSERT INTO `rules` (`type`, `time`, `id_user`, `url`, `name_url`, `pos`) values('link', '$time', '$user[id]', '$url', '$name_url', '$pos')");
            dbquery("OPTIMIZE TABLE `rules`");

            $_SESSION['message'] = 'Ссылка успешно добавлена';

            header("Location: index.php?");
            exit;
        }
    }

    err();

    echo '<form method="post" class="list-group-item" action="new.php?url">';
    echo 'Название ссылки:<br /><input name="name_url" required class="form-control" size="16" value="" type="text" /><br />';
    echo 'Путь к модулю:<br /><input name="url" size="16" required class="form-control" value="/" type="text" /><br />';
    echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Добавить</button>";
    echo '</form>';
}

echo '<div class="list-group-item"><a href="index.php"><i class="mdi mdi-arrow-left"></i> Информация</a></div>';
echo '</div>';

include_once TFOOT;
?>