<?php

echo "<div class='list-group-item list-group-item-success'>\n";
echo "Версия DCMS-Social v.$set[dcms_version] $set[dcms_state] " . ((!isset($license) || $license == false) ? '' : '(расширенная)') . "\n";
echo "</div>";

list ($php_ver1, $php_ver2, $php_ver3) = explode('.', strtok(strtok(phpversion(), '-'), ' '), 3);
if ($php_ver1 == 5 or $php_ver1 == 7 or $php_ver1 == 8) {
    echo "<span class='list-group-item list-group-item-success'>Версия PHP: $php_ver1.$php_ver2.$php_ver3 (OK)</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-danger'>Версия PHP: $php_ver1.$php_ver2.$php_ver3</span>\n";
    $err[] = "Тестирование на версии php $php_ver1.$php_ver2.$php_ver3 не осуществялось";
}

/*
  if (function_exists('disk_free_space') && function_exists('disk_total_space'))
  {
  $free_space=disk_free_space(H);
  $total_space=disk_total_space(H);
  if ($free_space>1024*1024*5)
  echo "<span class='list-group-item list-group-item-success'>Свободно:</span> ".size_file($free_space).' / '.size_file($total_space)."\n";
  else
  {
  echo "<span class='list-group-item list-group-item-danger'>Свободно:</span> ".size_file($free_space).' / '.size_file($total_space)."\n";
  $err[]='Мало свободного места на диске';
  }
  }
 */
if (function_exists('set_time_limit')) {
    echo "<span class='list-group-item list-group-item-success'>set_time_limit: OK</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-danger'>set_time_limit: Запрещено</span>\n";
}

if (ini_get('session.use_trans_sid') == true) {
    echo "<span class='list-group-item list-group-item-success'>session.use_trans_sid: OK</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-danger'>session.use_trans_sid: Нет</span>\n";
    $err[] = 'Будет теряться сессия на браузерах без поддержки COOKIE';
    $err[] = 'Добавьте в корневой .htaccess строку <b>php_value session.use_trans_sid 1</b>';
}

if (ini_get('magic_quotes_gpc') == 0) {
    echo "<span class='list-group-item list-group-item-success'>magic_quotes_gpc: 0 (OK)</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-danger'>magic_quotes_gpc: Включено</span>\n";
    $err[] = 'Включено экранирование кавычек';
    $err[] = 'Добавьте в корневой .htaccess строку <b>php_value magic_quotes_gpc 0</b>';
}
if (ini_get('arg_separator.output') == '&amp;') {
    echo "<span class='list-group-item list-group-item-success'>arg_separator.output: &amp;amp; (OK)</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-danger'>arg_separator.output: " . output_text(ini_get('arg_separator.output')) . "</span>\n";
    $err[] = 'Возможно появление ошибки xml';
    $err[] = 'Добавьте в корневой .htaccess строку <b>php_value arg_separator.output &amp;amp;</b>';
}

if (file_exists(H . 'install/mod_rewrite_test.php')) {
    if (trim(file_get_contents("http://$_SERVER[HTTP_HOST]/install/mod_rewrite.test")) === 'mod_rewrite-ok') {
        echo "<span class='list-group-item list-group-item-success'>mod_rewrite: OK</span>\n";
    } elseif (function_exists('apache_get_modules')) {
        $apache_mod = apache_get_modules();
        if (array_search('mod_rewrite', $apache_mod)) {
            echo "<span class='list-group-item list-group-item-success'>mod_rewrite: OK</span>\n";
        } else {
            echo "<span class='list-group-item list-group-item-danger'>mod_rewrite: Нет</span>\n";
            $err[] = 'Необходима поддержка mod_rewrite';
        }
    } else {
        echo "<span class='list-group-item list-group-item-danger'>mod_rewrite: Нет</span>\n";
        $err[] = 'Необходима поддержка mod_rewrite';
    }
} elseif (function_exists('apache_get_modules')) {
    $apache_mod = apache_get_modules();
    if (array_search('mod_rewrite', $apache_mod)) {
        echo "<span class='list-group-item list-group-item-success'>mod_rewrite: OK</span>\n";
    } else {
        echo "<span class='list-group-item list-group-item-danger'>mod_rewrite: Нет</span>\n";
        $err[] = 'Необходима поддержка mod_rewrite';
    }
} else {
    echo "<span class='list-group-item list-group-item-danger'>mod_rewrite: Нет данных</span>\n";
}

if (function_exists('imagecreatefromstring') && function_exists('gd_info')) {
    $gdinfo = gd_info();
    echo "<span class='list-group-item list-group-item-success'>GD: " . $gdinfo['GD Version'] . " OK</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-danger'>GD: Нет</span>\n";
    $err[] = 'GD необходима для корректной работы движка';
}

if (function_exists('mysql_info')) {
    echo "<span class='list-group-item list-group-item-success'>MySQL: OK</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-danger'>MySQL: Нет</span>\n";
    $err[] = 'Без MySQL работа не возможна';
}

if (function_exists('iconv')) {
    echo "<span class='list-group-item list-group-item-success'>Iconv: OK</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-danger'>Iconv: Нет</span>\n";
    $err[] = 'Без Iconv работа не возможна';
}
if (class_exists('ffmpeg_movie')) {
    echo "<span class='list-group-item list-group-item-success'>FFmpeg: OK</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-success'>FFmpeg: Нет</span>\n";
    echo "<span class='list-group-item list-group-item-warning'>\n";
    echo "* Без FFmpeg автоматическое создание скриношотов к видео недоступно\n";
    echo "</span>";
}
if (ini_get('register_globals') == false) {
    echo "<span class='list-group-item list-group-item-success'>register_globals off: OK</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-danger'>register_globals on: !!!</span>\n";
    $err[] = 'register_globals включен. Грубое нарушение безопасности';
}
if (function_exists('mcrypt_cbc')) {
    echo "<span class='list-group-item list-group-item-success'>Шифрование COOKIE: OK</span>\n";
} else {
    echo "<span class='list-group-item list-group-item-danger'>Шифрование COOKIE: нет</span>\n";
    echo "<span class='list-group-item list-group-item-warning'>\n";
    echo "* mcrypt не доступен\n";
    echo "</span>";
}
?>