<?php

include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;

only_reg();

$set['title'] = 'Мои настройки';

include_once THEAD;

title();

if (isset($_POST['save'])) {
    if (isset($_POST['add_konts']) && ($_POST['add_konts'] == 2 || $_POST['add_konts'] == 1 || $_POST['add_konts'] == 0)) {
        $user['add_konts'] = intval($_POST['add_konts']);
        dbquery("UPDATE `user` SET `add_konts` = '$user[add_konts]' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err = 'Ошибка режима добавления контактов';
    }

    if (isset($_POST['set_time_chat']) && (is_numeric($_POST['set_time_chat']) && $_POST['set_time_chat'] >= 0 && $_POST['set_time_chat'] <= 900)) {
        $user['set_time_chat'] = intval($_POST['set_time_chat']);
        $set['time_chat'] = $user['set_time_chat'];
        dbquery("UPDATE `user` SET `set_time_chat` = '$user[set_time_chat]' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err = 'Ошибка во времени автообновления';
    }

    if (isset($_POST['set_news_to_mail']) && $_POST['set_news_to_mail'] == 1) {
        $user['set_news_to_mail'] = 1;
        dbquery("UPDATE `user` SET `set_news_to_mail` = '1' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $user['set_news_to_mail'] = 0;
        dbquery("UPDATE `user` SET `set_news_to_mail` = '0' WHERE `id` = '$user[id]' LIMIT 1");
    }

    if (isset($_POST['set_timesdvig']) && (is_numeric($_POST['set_timesdvig']) && $_POST['set_timesdvig'] >= -12 && $_POST['set_timesdvig'] <= 12)) {
        $user['set_timesdvig'] = intval($_POST['set_timesdvig']);
        dbquery("UPDATE `user` SET `set_timesdvig` = '$user[set_timesdvig]' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err = 'Неправильное количество пунктов на страницу';
    }

    if (!isset($err)) {
        $_SESSION['message'] = 'Изменения сохранены';
        header("Location: ?");
        exit;
    }
}
err();
aut();

echo '<div class="list-group">';
echo "<form method='post' class='list-group-item' action='?$passgen'>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Автообновление в чате:</label>";
echo "<input type='text' name='set_time_chat' class='form-control' value='$set[time_chat]' maxlength='3' />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Добавление контактов:</label>";
echo "<select class='form-control' name='add_konts'>\n";
echo "<option value='2'" . ($user['add_konts'] == 2 ? " selected='selected'" : null) . ">При чтении сообщений</option>\n";
echo "<option value='1'" . ($user['add_konts'] == 1 ? " selected='selected'" : null) . ">При написании сообщения</option>\n";
echo "<option value='0'" . ($user['add_konts'] == 0 ? " selected='selected'" : null) . ">Только вручную</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Время:</label>";
echo "<select class='form-control' name=\"set_timesdvig\"><br />\n";
for ($i = -12; $i < 12; $i++) {
    echo "<option value='$i'" . ($user['set_timesdvig'] == $i ? " selected='selected'" : null) . ">" . date("G:i", $time + $i * 60 * 60) . "</option>\n";
}
echo "</select>\n";
echo "</div>\n";

if ($user['ank_mail']) {
    echo '<div class="form-check">';
    echo "<input type='checkbox' class='form-check-input' name='set_news_to_mail'" . ($user['set_news_to_mail'] ? " checked='checked'" : null) . " value='1' />\n";
    echo "<label class='form-check-label'>Получать новости на E-mail</label>\n";
    echo "</div>\n";
}

echo "<button type='submit' class='btn btn-success' name='save'><i class='mdi mdi-content-save-outline'></i> Сохранить</button>";
echo "</form>\n";

echo "<div class=\"list-group-item\">\n";
echo "<a href='/info.php?id=$user[id]'><i class='mdi mdi-arrow-left'></i> $user[nick]</a> | <a href='/user/settings/'>Настройки</a> | <b>Отображение и вид</b>";
echo "</div>\n";
echo "</div>\n";
include_once TFOOT;
?>